Welcome to the English DVBViewer Manual

1. Introduction

About this Guide
Features
Requirements
Problematic Issues
Purchasing the Full Version

2. DVBViewer Installation

Prerequisites
The Installation Process
The DVBViewer Files
Restricted User Accounts

3. Fundamental Operating Steps

The Status Bar
Fullscreen Mode
Hiding Controls
Channel List, Selection and Preview
The Favourites List
Volume Control
Start / Stop Recording
The Recorder Control Window
Brightness, Contrast and Color Settings
The Teletext Window
The EPG Window
Plugins
The Info Window

4. Display Adjustments

Display Settings
Fullscreen and Desktop Mode
The DVBViewer OSD
Aspect Ratio
Image Position and Size (Zoom)
Filter Settings and Rebuild Graph

5. Recording, Playback & TimeShift

File Size and File System
Video Playback
DVD Playback
Playback of ASF and ASX Formats
Playback Using the Playlist
Automatic Splitting of Video Files
Target Folder and File Format
Smart Buffer
Recording
Timer Programming
TimeShift

6. The Channel List

Navigation in the Channel List
Resorting the Channel List
Editing Channels
Multilingual Stations
Channel Search
Import and Export
External Favourites Lists

7. The Options Window

General Options
Extended Options
DirectX Options
EPG Options
TV & Radio
Teletext Options
Recorder Options
Network Streaming
Keyboard and Remote Control

8. Troubleshooting

In the Correct Order
Important Points for Diagnosis
Known Problems and Solutions
Interlace

9. Tools and Links

Informative Internet Pages
Tools for Conversion and Editing
Filters and Other Tools

10. Small Filter Guide

What are DirectShow Filters?
Which Filters are Involved?
AC3 / Dolby digital
Experiments With GraphEdit
Own Filter-Graphs
Interventions in the System

11. Plugins

GraphSelector Plugin
Audiorecorder Plugin
TVgenial Plugin
Sleeptimer Plugin
Multicast Plugin
Videorecorder Plugin
Preview Plugin

12. Legal Notices & Imprint

Trademarks
Submissions
Copyright
Disclaimer
Imprint
Acknowledgements

English Manual
DVBViewer Forum
Last Update: 06.08.2005


Introduction to the DVBViewer

1. Introduction to the DVBViewer Pro ®

This chapter presents the program with its most important features, describes the software and hardware requirements and informs how to purchase the full version. Before beginning to use this manual, you should have a working knowledge of your computer and its operating system. Make sure that you know how to use the mouse and standard menus and commands, and also how to open, save, and close files. If you need to review these techniques, see the printed or online documentation included with your Windows® OS.

contents | to the bottom | next chapter

About this Guide

This guide describes the handling of the DVBViewer Pro. The DVBViewer Pro offers numerous additional and extended functions with enhanced ease of use compared to the bundled DVBViewer TE (TechniSat Edition). It can be ordered for Euro 15,- or $ 19,- at http://www.dvbviewer.com/. With the purchase of the DVBViewer Pro you are entitled to all coming updates. The DVBViewer is subject to ongoing change due to progress in research and development. Therefore this guide may lack in actuality, although it is updated in regular intervals. An updated edition can be downloaded freely at http://www.dvbviewer.com/.

Besides the description of the functions and options this guide is designed to serve the following purposes:

  • As documentation for potential customers, considering to purchase the SkyStar2 or the AirStar2 or the full version of the DVBViewer.
  • As tutorial for new users, who would like to learn more about the DVBViewer.
  • As assistance for all, who encounter problems using the DVBViewer.
  • As reference book for advanced users.

Having trouble with the TV-card or the DVBViewer, you will find assistance in chapter 8 of this guide. Chapter 9 lists a collection of useful internet links concerning digital satellite reception and tools which proved to be useful in combination with the DVBViewer. A very informative place is the DVBViewer forum - for all, who are interested in brand new information about the DVBViewer, who are looking for help or simply want to join the community.

contents | to the top | to the bottom | next chapter

Features

Features | DVBViewer Pro 3.1 | DVBViewer GE 1.2 | DVBViewer TE
support of DVB-S, DVB-T, DVB-C and ATSC |  |  |
support of TechniSat SkyStar 2, AirStar 2 and Cablestar 2 |  |  |
support of TechniSat SkyStar 1 CI |  |  |
support of Sky2PC, Cable4PC, Air2PC-DVB/ATSC |  |  |
support of TwinHan PCI cards (with CI functionality, too) |  |  |
support of payTV |  |  |
free updates (not from TE to Pro/GE) |  |  |
notification of updates within the program (uses internet) |  |  |
enhanced functionality with free plugins |  |  |
support for plugin programmers with source code examples |  |  |
use of skins |  |  |
full keyboard and remote control (WinLIRC and Girder) |  |  |
pop-up control bar |  |  |
HTPC like OSD |  |  |
basic OSD |  |  |
support for visually impaired users |  |  |
sleeptimer |  |  |
integration of the Windows scheduler (restart from standby or hibernation -> real PVR behaviour) |  |  |
free zoom presets |  |  |
desktop TV |  |  |
screenshot function |  |  |
PiP (picture in picture) |  |  |
integrated advanced multicast/unicast streaming via LAN |  |  |
plugin-based multicast/unicast streaming via LAN |  |  |
simple streaming via LAN |  |  |
free selection of decoders |  |  |
AC3 support |  |  |
HDTV support |  |  |
PVR (personal video recorder) |  |  |
transport stream format (MPEG 2 TS) |  |  |
program stream format (MPEG 2 PS) |  |  |
packetized elementary stream format (PVA, MPEG 2 PES) |  |  |
multi-channel recordings (single file) |  |  |
multi-channel recordings (separate files) |  |  |
direct recording in mp3, Ogg Vorbis and PCM-wave |  |  |
expansive recording control |  |  |
support and recording of subtitles |  |  |
basic teletext functions |  |  |
extended teletext functions (save, search, OSD...) |  |  |
basic EPG |  |  |
extended EPG (search, send to PVR, channel switching...) |  |  |
basic channel list |  |  |
extended channel list (drag'n'drop, additional external scanner (TransEdit)) |  |  |
fast channel switching |  |  |
last channel/file function |  |  |
dynamic channel data update |  |  |
native MPEG 2 demultiplexing filter (MPEG 2 TS and PS) |  |  |
simultaneous media playback |  |  |
DVD playback |  |  |
ASF/ASX playback |  |  |
enhanced playlist (m3u, pls, b4s) |  |  |
visualisations |  |  |
management of mp3, wav, ogg, wma and FLAC with ID-tags |  |  |
audio-CD playback with autoplay, freeDB and database support (only NT-based operating systems) |  |  |
RSS newsfeed |  |  |
weather forecast plugin |  |  |

contents | to the top | to the bottom | next chapter

Requirements

For DVB-S you need an antenna link suitable for digital satellite reception. It must be equipped with a digital (universal) LNB as reception unit, otherwise you will only get some channels in the low band, which transmit on formerly analogue transponders. In case of doubt consult a specialised dealer for satellite equipment. Additionally you need the SkyStar2 card/USB-box from TechniSat (or one compatible with the B2C2-chipset) or a TwinHan PCI card (not USB), which must be installed in or connected to your PC via USB and also be connected to the LNB via a suitable coax cable (i. e.TechniSat Coaxsat 2150 digital). The DVBViewer does not yet support other chipsets.Terrestrial reception (DVB-T) needs the AirStar2 from TechniSat or a TwinHan card. Of course DVB-T must be available in your region. For optimal DVB experience your PC should be powerful enough to handle the incoming data:

  • A Pentium® III-processor (or higher) starting from 700 MHz. But particularly for editing video files on your PC (conversion, cutting, etc.) the processor can't be fast enough... For HDTV you need a graphic card with IDCT (MPEG hardware acceleration) and a CPU with at least 1 GHz.

    A sufficiently large hard disk. For pure television playback the DVBViewer does not need more than 3 mbytes. For recordings however a large capacity is necessary. A TV broadcast of normal length (without advertisement) can occupy up to 3 gbytes (about 3000 mbytes).

    A graphics card with at least 8 mbytes memory as well as a fairly modern sound card, which is able to process the sampling rate of 48 kHz used with digital satellite reception. In addition to avoid problems, up to date multimedia drivers - which should be available on the manufactures website - are also recommendable. It is advised to use a card with integrated MPEG2 decoder (i. e. Geforce4 MX, Geforce FX, ATI Radeon).

    128 mbytes memory (RAM) or more. The minimum memory capacity depends in individual cases on how much your operating system and other installed software use.

  • Windows 98 (SE), ME, 2000/2003 or XP as operating system (Windows 95 is not officially supported though it may work).. The system should also be updated with service packs and updates by Microsoft in order to prevent problems. Important Multimedia extensions have (except with Windows XP) only subsequently been added, e.g. DirectX®; the DVBViewer needs at least DirectX version 6.1. Important: An installation of the Windows Mediaplayer® 9/10 (WMP 9/10) and DirectX 9 may lead to problems. Please consider the notes from TechniSat concerning this topic! (http://www.technisat.de/)

contents | to the top | to the bottom | next chapter

Problematic Issues

In order to prevent disappointments you should also know what can't be easily achieved. The ability of recording videos to the hard disk usually raises further wishes: Cutting advertisements out of the videos, burning (S-)VCD or DVD, playing them back with the set top DVD Player...This is possible, but generally only by using additional software tools.

For technical reasons the DVBViewer cannot convert the video data during a recording to (S-)VCD (Super-)Video CD) or DVD from the scratch. Such a real-time conversion needs a computer capacity not even offered by the most modern PC. The DVBViewer records the data 1:1 as it is broadcast. Unfortunately this format is not readable for some (especially older) DVD players.

If you need some help, visit the DVBViewer-forum http://www.dvbviewer.com/forum/. Here you can exchange with others, ask experienced users how they have done it, or make your own experience available for others. You can also use the search function in order to sift through the knowledge base accumulated in the course of time.Finally there is another restriction, which you should know: The DVBViewer is not suitable for watching of encrypted television and radio programs, because the SkyStar2 card does not provide a common interface.

contents | to the top | to the bottom | next chapter

Purchasing the DVBViewer Pro

You will receive the software after payment of EUR 15,- or $ 19,- as internet download. There are three ways of payment:

  • Send the cash via (snail) mail to Christian Hackbart, Schubertstraße 23, 99096 Erfurt, Germany. Pack up the banknotes well, so that the letter content is not recognizable from the outside. Above all, pay attention to include your e-mail address clearly readable!

    Transfer the cash to the account of Bernd Hackbart CMUV / account-number: 600003280 / bank code number (sorting code number) 82051000 of the Sparkasse Mittelthüringen, Germany. The transfer purpose should contain the phrase "DVBViewer + e-mail address", whereas special characters like "@" should be written as " AT " (with spaces).

  • Paying by credit card via Internet is the fastest way. Visit the website at http://www.dvbviewer.com/ and click purchase in the quick links section.

A payment by cash on delivery is possible only in exceptional cases. Because of the high expenditure in this case, EUR 28,- are charged for the DVBViewer.Please note: For using PayPal you need to have cookies enabled.As soon as the transfer has been acknowledged, a password will be sent to you by e-mail. This one gives you access to the members' area for downloading your copy of the DVBViewer and various plugins. For this purpose visit http://www.dvbviewer.com/ and click on Service Center. A window will prompt you to enter your user name (generally your e-mail address) and the password. Now select the Setup.exe file (self-executable archive of the DVBViewer) for download. Please note: Your e-mail address must be valid and you must be accessible via this address. Otherwise you might be waiting an eternity for your DVBViewer, which would be very unfortunate.


Installation

2. DVBViewer Installation

Here you will learn how to install or update the DVBViewer Pro. You will also get information about the different files in the DVBViewer-folder and how to use the DVBViewer under Windows 2000/XP with a restricted user account.

The DVBViewer Pro is subject to ongoing change due to progress in research and development and thus constantly optimized. You are informed about updates by selecting info in the help menu of the DVBViewer while being connected to the internet. Information about new releases are downloaded from the DVBViewer's homepage and displayed on the screen.

contents | to the bottom | previous chapter | next chapter

Prerequisites

At first you must install the TechniSat driver for your SkyStar 2/AirStar2/Cablestar or the corresponding TwinHan driver. In case of TechniSat cards go to the hardware manager and double-click the entry for the SS2/AS2/CS2 (network device). Now select “new driver” and point to your driver CD.

For TechniSat cards you must now install the complete TechniSat software bundled with the card. With the new driver 4.3.0 (compatible with Windows 2003 Server, no more problems with the EOL lock) TV4PC is not installed by default. Only if you want to use it (there's no need for, though) you'll have to edit the setup.ini in the directory where you unpacked the driver package (subfolder „install“) in the following way:

Change „InstallTvApp=FALSE“ to „InstallTvApp=TRUE“.

The DVB-card is bundled with the Sonic (driver versions before 4.3.0: Mediamatics (DVDExpress)) MPEG2 decoder. Its installation routine is contained in the DVBViewer TE's setup.exe file. Attention: When upgrading to the DVBViewer Pro you should not uninstall the TechniSat Edition since the MPEG2 decoder will also be uninstalled. That means you should install the Pro version to another folder (for example c:\programs\DVBViewer Pro). You can have both versions on your disk.

Now you may start the installation of the DVBViewer by executing the setup.exe. Beforehand you should

  • terminate all running programs, especially the DVBViewer and
  • ensure you are logged in as administrator under Windows 2000/XP/2003.

For updating it is not necessary to uninstall the DVBViewer first, since you can easily install over the old version. All settings and the channel list (optionally) are preserved.

contents | to the top | to the bottom | previous chapter | next chapter

The Installation Process

Start the installation by double-clicking setup.exe. You will be led step-by-step through the process. Now click on next.

For altering your input you can go back by clicking the back button. To abort the installation simply click on cance.

At first you must accept the license agreement by selecting I accept the agreement after you thoroughly studied it. The DVBViewer's author won't be liable for any damage caused by the program, especially in case of inappropriate or illegal use.

Now click the next button.

Now input your username (usually your e-mail-address) and the password you received by e-mail. Both username and password are case-sensitive. Finish with clicking on next.

Now you must select a directory for installation of the DVBViewer. Generally this should be \program files\DVBViewer. Proceed by clicking next.

The next screen allows to select which components are to be installed. You are also informed about the space necessary for installation.

  • Main files are always installed, since those are imperative.

  • Documentation refers to this manual (only the english version at the time).

  • Additional files refer to the language files for different GUI languages and other supplements.

  • Channel list speaks for itself.

    When updating, this one should not be marked.

Now you can choose to create an entry for the start-menu with a new folder named DVBViewer, although you can also set any existing entry. If you don't need an entry just uncheck the box down below.

Proceed by clicking next.

This screen allows to create a desktop or quick launch bar icon.

At last all chosen features will be listed. Finish the installation by clicking install.

After the successful installation you can view the documentation and/or start the DVBViewer. Finish the installation by clicking finish.

If you encounter an error message starting the DVBViewer or you don't have either video or audio, proceed to chapter 8.

contents | to the top | to the bottom | previous chapter | next chapter

The DVBViewer Files

This is a list of the files being installed:

  • dvbviewer.exe: This is the main application.
  • channels.dat: This file contains the channels with all settings. You are advised to keep a backup of it.
  • setup.xml: This file contains the settings for DVBViewer. If you modify any property, it will be permanently written to this file. You may also open the Setup.ini with a text editor (e.g. notepad), although any modifications should better be done from within the DVBViewer, except you know exactly what you do.
  • favourites.xml: This is the list of favourite channels.
  • epg.dat: This file is created by the DVBViewer and contains the EPG (electronic program guide) data.
  • * ax: All files with the ax file extension located at the filter directory are DirectShow filters, which process the datastream received from the satellite.
  • * ini: All files with the .ini file extension in the subfolder transponder are transponder lists. They contain data necessary for a fast channel scan of various satellites. With the proper knowledge you may alter them though it is important to keep the sequential numbering.
  • * dll: All files with the .dll file extension in the subfolder plugins are additional program parts for importing different channel-lists, SatCodX for example. There are other plugins (e.g. a sleep-timer), which can be downloaded at the service center at http://www.dvbviewer.com/.
  • * lng: All files with the .lng file extension in the subfolder language are language files for the user interface.
  • regfilter.exe: This file registers all filters (not necessary when installing the first time).
  • DVBServer.exe: streaming application
  • hardware.xml: settings for the streaming
  • server.xml: settings for streaming
  • timers.xml: contains the timer programming
  • subpages.xml: settings for subtitles including the teletext page number
  • windowdef.xml: central management information about OSD windows and commands
  • TechniSat.cf: settings for a remote
  • audiovis.ini: settings for Sonique-visualisations

contents | to the top | to the bottom | previous chapter | next chapter

Restricted User Accounts

The DVBViewer cannot be run in restricted user accounts under Windows 2000/XP/2003 without further ado. Proceed as follows to manually alter the corresponding access rights. Please note: The following operations may damage your system, if not applied correctly. If you feel unsure about it, ask an experienced person for help.

  • Log in as administrator.

  • Extend Registry access rights. The DVBViewer needs to write to two keys of the Windows registry. Since this is not permitted in restricted user accounts, the access rights must be extended. This is done with the program RegEdit (or RegEdit32, if available), which is located in the Windows folder. Launch it and go to the following keys:

    • HKEY_LOCAL_MACHINE/Software/CM&V

  • Right-click these keys and select in the context menu Permissions. In the window appearing select Restricted users in the upper field; and check the Full access rights box in the Allow column of the lower field. Finish with OK.
  • Extend the access rights for the files channels. dat and setup.xml. Otherwise the DVBViewer is not permitted to re-write these files on termination of the program, so that modified adjustments are lost. Please note: The following intervention can be executed under Windows XP Home only in Safe Mode. Press F5 when WinXP starts to load, then log in as administrator. For both files proceed as follows:

    • Right-click the file, select Properties in the context menu and go to the Security tabsheet. Select Restricted users in the list in the upper part, and check the Modify box in the Allow column. Finish with OK.

  • Register the filters used by the DVBViewer permanently. In the DVBViewer-folder you will find the subfolder Filters, which contains files with the extension .ax. These files are registered by the DVBViewer automatically on each program start. However this is not allowed in a restricted account, resulting in error messages and malfunctions. To avoid this, proceed as follows:

    • Create a new subfolder in the DVBViewer folder and name it RegFilters. Move all files from the Filters subfolder to the RegFilters folder (move, not copy!).

    • Now use the Radlight Filtermanager: Just click "Register", select one of the files and click "Open". Repeat this for each ax-File in the new folder. Certainly you have to do this with administrator rights.

    • Now, the filter files are registered permanently. Since they have been moved to another folder, the DVBViewer cannot (un-)register them automatically anymore.

  • Attention: Make sure that there are not any ax-files in the Filters folder again, when the DVBViewer is running with admininstrator's rights, especially after having updated (to) the DVBViewer Pro. If an update provides any new filters, you willl have to move and register them, too.

  • In order to avoid future problems with file access rights, install the DVBViewer Pro additionally in the non-administrator user profile (somewhere at c:\documents and settings\...). In this installation profile simply delete all files in the Filters folder.


Fundamental Operating Steps

3. Fundamental Operating Steps

This section describes fundamental operations, accessible via the toolbar above the TV screen. The icons provide a tooltip, when positioning the mouse pointer on it for 1 or 2 seconds.

Additional functions can be accessed via the main menu and the context menu. You may also assign functions to any key, have a look at chapter 7.

contents | to the bottom | previous chapter | next chapter

The Status Bar

This symbol turns the status bar on and off. The bar informs you about

  • the current channel
  • the strength of the received signal
  • the type of the audio signal (Mono/Stereo)
  • the aspect ratio (4:3, 14:9, 16:9)
  • the resolution in pixels and the number of frames per second (fps) of the transmitted television picture, followed by the bitrate of the audio signal (kbps, k-bit per second) and the sampling rate in kilohertz.

Left-clicking the signal strength field switches to a progress bar, indicating the actual play time in percent and. The next click shows the remaining play time. Correct values are only displayed in case EPG data is available for the transmission.

contents | to the top | to the bottom | previous chapter | next chapter

Fullscreen Mode

This icon switches to fullscreen mode. You can do the same by double-clicking the television picture. Double-clicking it again, you revert to window mode. In fullscreen mode a control bar pops up when moving the mouse-pointer to the bottom of the screen.

Hiding Controls

This symbol enables/disables all controls - the title bar as well as the menu -, tool- and status bar. Only a thin frame bordering the television picture remains.

Yyou can enable/disable all controls by the View -> Hide All item in the context menu. Alternatively you can use the control bar when moving the mouse-pointer to the bottom.

contents | to the top | to the bottom | previous chapter | next chapter

Channel List, Selection and Preview

Clicking this symbol opens the channel list, which shows all selectable stations sorted in categories. The multiple possibilities are described in detail in chapter 6. Here are only the most important operations: Double-clicking a category unfolds the list of channels sorted into it, double-clicking a station switches over to it.

The two symbols [image] [image] switch to the following respectively the previous station. As for the other controls, you can also assign keyboard shortcuts to these functions.

Useful at this point is also the last channel feature in the channel menu, which shifts back to the previous station or media-file.

The option Show EPG Info in the DVBViewer-menu displays a short info about the current channel, its name, the current time-of-day and additionally - provided the information is available - the current and following broadcast with their starting times. The same menu option switches the EPG Info off. In Settings/Options/Teletext & EPG you may select different styles and display types (opacity/transparency) for the OSD (On Screen Display).

After left-clicking a broadcast displayed in the EPG Info, additional information appear, e.g. a summary of the event. Another click into the info reverts to the standard display.

After switching over to a station, the EPG information automatically appear for a few seconds.

A highly interesting feature is the Preview function via the Preview Plugin. Starting Preview a new window opens. Now use the context-menu by right-clicking into it. All stations broadcasting on the same transponder are listed. Now you can select a channel. You can also set the render mode and the decoder besides some other options.

  • Close closes the preview window.
  • Close and Tune closes the preview window and tunes the previewed channel in the DVBViewer's main display window.
  • Swap swaps the channel displayed in the DVBViewer's main display window with that in the preview window.

The preview window can be easily resized by dragging a corner with the mouse. If no channel can be tuned in the preview window, a second video decoder is probably necessary, because some video-decoders can run only in one instance. To solve this issue you may download and install the Elecard® MPEG2-decoder pack.

contents | to the top | to the bottom | previous chapter | next chapter

The Favourites

The channel menu offers a list of popular stations for comfortable selection. By clicking the asterisk symbol you can access the favourites editor.

  • You can add new stations to the favourites list via drag and drop from the channel list.
  • New sub-folders are created with the command “new folder”.

The symbols [image] [image] switch over to the preceding or following station in the favourites list. By using the keyboard, the favourite channels can be selected with [shift key] + [digit key] (if you did not assign other keys to this function).

contents | to the top | to the bottom | previous chapter | next chapter

Volume Control

The two loudspeaker symbols serve as volume control:

  • Clicking the large loudspeaker increases the volume one step.
  • Clicking the small loudspeaker decreases the volume one step.

In both cases the volume level is briefly displayed in the DVBViewer window. For switching the sound off or on, you may use the Mute Function in the context menu (right-click the DVBViewer window). By the way: The DVBViewer uses a logarithmic based volume control.

Start / Stop Recording

Clicking this symbol starts the recording of the current broadcast. A second click stops the recording.

The folder for recorded files can be selected in the options window on the tabsheet Recorder. By default the subfolder Capture of the DVBViewer folder is used. On the same tabsheet the file format for videos can be selected. The default setting is MPEG2-PS.

The DVBViewer automatically creates unique names for recorded files. They consist of the starting date and time, the channel name and the title of the broadcast (if provided by the EPG).

Additional information about recording and the Time Shift function can be found in chapter 5 and the following section.

contents | to the top | to the bottom | previous chapter | next chapter

The Recorder Control Window

This symbol opens the recorder control window. It provides additional information and some special options for recording:

  • The statistics area shows a graphical representation of the current bit rate in mbits per second.

  • The area below specifies the recording status (running/stopped/paused), the free disk space, and the maximum recording time in hours:minutes (estimated, depending on the bitrate). The progress bar displays the occupied and free disk space.

  • In the AV Control list you may disable audio and/or video playback, resulting in a substantially lower processor usage. It may be advantageous for using other programs while recording in the background.

contents | to the top | to the bottom | previous chapter | next chapter

Brightness, Contrast and Color Settings

This symbol opens a window with four sliding controls for brightness, saturation, contrast and the hue of the television picture. These settings are also available via the context menu.

Please note that this window cannot be used in certain render modes. It will only work with the overlay mixer or VMR® 9 (video mixing renderer).

contents | to the top | to the bottom | previous chapter | next chapter

The Teletext Window

This symbol opens the Teletext window. It provides the following possibilities:

  • Select a page by clicking the digits in the toolbar. The eraser deletes incorrect input, just like the backspace key. Certainly you also may use the keyboard to enter the desired page number.
  • If a teletext page number is displayed on the current page, it is particularly easy to select it: Simply click it, and that's all.
  • Clicking the characters « and » switches to the preceding or following page. Also the subpages of a Teletext page can be displayed in this way. The same effect is obtained with the keys [+] and [-].
  • The left and right arrows are working exactly like the corresponding symbols in your browser. The left arrow leads back to the last visited page, the right arrow is responsible for the forward direction.
  • Clicking the disk symbol opens a dialogue to save the teletext page(s) in a file. There are different formats available (txt, gif, html).

Additionally the DVBViewer provides the possibility to insert Teletext subtitles in the television picture. Select Show Subtitles in the view menu, and enter the number of the desired subtitle teletext page. The subtitles are faded out after selecting Show Subtitles again. You can move the subtitles with drag'n'drop.

To use the search-function click the binoculars to open an input field. The search-term will be highlighted in the text.

Please keep in mind that some stations do not provide teletext. In this case the teletext symbol is disabled – this is also the case, if no Teletext Pid has been entered in the channel list. Sometimes it can take a while until a page is transmitted. After having been stored in the page memory the pages are accessible without delay.

contents | to the top | to the bottom | previous chapter | next chapter

The EPG Window

This symbol opens the so called electronic program guide (EPG). At the beginning it shows a list of the broadcasts of the current station. The current broadcast is highlighted.

Basically there are three EPG modes: A station-specific list (as shown above), as well as a time-specific list (full version only), which shows the broadcasts of different stations running at a certain point in time. Switching between these two modes is done by clicking the button "Whats now...". First the possibilities, which both modes are offering:

  • Left clicking a title the entry is marked and more detailed information about this event are shown in the bottom part of the window (if available).
  • The Save buttons opens a dialogue window for storing the EPG data as a HTML program magazine (you must also download the EPG2HTML converter at the members' area). The HTML file can be displayed, as shown on the right, in any web browser (e.g. Internet Explorer). You may also save the data in the XML-format for use with Paperless Movie Guide for example.
  • The Send to PVR button adds the blue marked entry to the task list of the video recorder timer. After that it might be need;ful to increase the starting and ending times manually, because the broadcaster's information are often not that accurate. Unfortunately VPS is not available with digital video broadcasting.
  • The button Send to FAV just notifys you about the beginning of the show.
  • The filter button opens a menu, which offers some options for limiting the displayed selection, either to today's broadcasts or to broadcasts starting from the actual time (in the station-specific mode), or to radio or television stations (in the time-specific mode). Here you can also access the search function (see picture above “find in EPG”). With the search function you cannot only find certain broadcasts, the rerun dates are also shown. You can access the search function with a double-click onto the header of the "event"-column.

If the station-specific list is active, there are the following additional options:

  • Clicking a station in the channel list (the tree structure on the left side showing all available stations) displays the EPG data belonging to the station, if already stored. Double-clicking a station switches over to it.
  • The Whats now... button switches over to a time-specific list of all broadcasts running at present time. With right-clicking you can open a context-menu for easily setting another time.
  • Double-clicking an entry switches over to a time-specific list of all broadcasts running at the same time as the double-clicked entry.

After switching to the time-specific list there are the following possibilities:

  • Double-clicking an entry switches over to that channel.
  • Right-click the list to open a menu, which offers several options for putting the point in time on or back. The Another Time... option opens a window that allows to enter a specific time or date. This also can be achieved by clicking the column title Time.
  • If you want to exclude a station from the list, mark it first and then press the [Del] key. Cancelling this operation is only possible on the edit tabsheet in the channellist window.
  • The Whats Now... button shifts back to the station-specific list.

Event and title show the title of the selected item.

There is also a graphical timeline mode:

Please note that some stations do not transmit EPG data. Also the range and the amount of the data may differ. Only broadcast information can be displayed. The EPG information are read out while a TV/radio station is tuned. After switching to another channel the data is kept in memory.

If you want the EPG data to be automatically stored on your hard disk when terminating the DVBViewer and reloaded when re-launching it, make sure that the Persistent EPG Data option is checked in Settings/Options/Teletext & EPG.

contents | to the top | to the bottom | previous chapter | next chapter

Plugins

The full version of the DVBViewer features a plugin interface. With the Plugin SDK, downloadable via the Service Center (for registered customers only), you can create your own plugins. All plugins have to be put into the Plugins folder.

Currently there are the following plugins:

  • GraphSelector Plugin

    This plugin lets you comfortably choose different filter-graphs for use with the source-filters (read more about filters in chapter 11.

  • Video Recorder Plugin 3.0

    The VRP offers real transport stream recording and other different settings for the DVBViewer.

  • Audio-Recorder Plugin 2.8

    With this plugin you can record directly in the MP3, Ogg Vorbis or Wave format. This is especially useful when recording radio broadcasts. Audio-recording can run simultaneously with normal recording of the DVBViewer. You will find a detailed description here.

  • Multicast Plugin

This plugin enables UDP multicast network streaming with all source-filters.

  • TVgenial® Plugin

    With this one you can comfortably program the recorder timer with the program guide TVgenial. You will find further details in chapter 11.

The Info Window

The Info option in the help menu opens a window, which informs about the program version. The tabsheet Credits lists all helpers, who contributed to the DVBViewer, by testing, providing language files etc; maybe you will be one of them soon?

When connected to the Internet, the tabsheet news informs about DVBViewer updates. No information is being sent to the DVBViewer- or any other site.


4. Display Adjustments

contents | to the bottom | previous chapter | next chapter

Display Settings

The view menu offers different functions to influence the appearance of the DVBViewer-window:

  • Always on top: Enabled, the DVBViewer window will stay on top of other windows.
  • Hide all: This function hides all controls of the DVBViewer, only a thin frame around the TV picture remains. To revert to the former state you need to right-click the DVBViewer window and select the appropriate function in the context menu.
  • Hide Menu: This function hides the menu bar. You can revert to the normal state via the context menu.
  • Show Status bar: This shows/hides the status bar at the bottom of the DVBViewer window.
  • Show Toolbar: This function shows/hides the toolbar at the top of the DVBViewer window.
  • Show Subtitles: This function lets you enter the number of the teletext page containing the subtitles. To disable subtitles just select Show Subtitles again.

All these features are also available in the fullscreen mode via the context menu.

contents | to the top | to the bottom | previous chapter | next chapter

Fullscreen and Desktop Mode

You can choose between two different modes of displaying the TV picture:

  • Fullscreen: This option switches between window mode and fullscreen mode (the entire display will be used).

You may also (de-)activate fullscreen mode by double-clicking on the display area. In fullscreen mode there are no visual controls by default, but you may enable them via context menu, or simply use the OSD (on screen display) controls.

  • Desktop TV: This is a speciality of the DVBViewer. Selected, the DVBViewer will display the current TV picture as desktop background!

Reminder: You can't access the context menu by right-clicking while being in desktop mode. You need to right-click the tray icon.

contents | to the top | to the bottom | previous chapter | next chapter

The DVBViewer OSD

The DVBViewer also offers extensive OSD functionality. To adjust the OSD settings go to the control tab of the DVBViewer options. There you can assign a lot of DVBViewer functions to various keyboard shortcuts. The OSD functions can be found at the bottom of this function list.

In order to assign a new key to a function, double-click it and then press the desired key or combination of keys. On the WinLIRC sub-tabsheet you may adjust the remote control settings accordingly. Finish with OK, after you've made all necessary adjustments.

The OSD functions work like this:

  • OSD open/select: This activates the OSD or selects the function marked with the red bar. Most of the basic functions, which can be seen on the right, open another level with further options.

  • OSD Close/Back: Closes the OSD at the highest level or goes back to the previous level.

  • OSD up/OSD down: Moves the selector (red bar) in the appropriate direction. Alternatively you may move the selector with the numerical keys 0..9 to one of the first ten visible entries.

  • OSD red/green/yellow/blue: Activates the function displayed in the corresponding colour at the bottom.

  • OSD jump position: Activates a track-bar for seeking (jumping) in media-files or timeshift recordings.

  • When selecting a broadcast in the EPG list you can send the data to the video-recorder.

You may also select different styles for the OSD (covering, semi-transparent, transparent) at Settings/Options/Teletext & EPG. The VMR (video mixing renderer) provides a real transparent OSD display. Read more in this paragraph in chapter 7.

contents | to the top | to the bottom | previous chapter | next chapter

Aspect Ratio

The aspect ratio can be modified via the settings- or context menu. In a sub-menu you may select one of the following aspect ratios:

  • 4:3, 14:9, 16:9 (widescreen) and 2.35:1 (cinemascope): These options will override the original ratio of the broadcast. You should use this when the automatical selection fails to display the picture correctly. It may be also necessary for the playback of cropped videos or AVI files.

  • Auto: The DVBViewer automatically sets the aspect ratio according to the data transmitted with the TV picture. This is the default setting, which will give good results with most broadcasts.

  • None: The DVBViewer does not adjust the TV picture. Instead it will fit the DVBViewer display-window, probably resulting in wrong proportions.

  • Best Width adjusts the width of the picture to remove the black bars (letter box).

contents | to the top | to the bottom | previous chapter | next chapter

Image Position and Size (Zoom)

The zoom command in the settings menu lets you adjust the position and size of the TV picture with four sliders.

You can move and stretch the TV picture both horizontally and vertically to completely fill the window and eventually remove black bars.

The five radio buttons down left enable fast switching to different window sizes ranging from mini television to display-filling size, whereby the aspect ratio is preserved. The context menu offers the same functionality with the zoom command.

The Default button resets all adjustments to the standard setting.

You can pre-set 3 settings with the "recall"-button.

Of course you may also resize the DVBViewer window by left-clicking its lower right corner and dragging it to the desired size. In this way and in combination with the "none" aspect ratio setting the picture can be adjusted to any desired proportions.

contents | to the top | to the bottom | previous chapter | next chapter

Filter Settings and Rebuild Graph

The filters option lists the active DirectShow components. Selecting one of them opens its property page window. Usually it is not necessary to apply any changes there, and you should only try to adjust these settings if you know what you are doing. This doesn't work with the NVIDIA decoder, there you have to use its tray icon.

The command rebuild graph resets all DirectShow filters and starts them again. In this way possible problems with distorted audio or video can be solved. Such problems can occur when using the fast channel switching (see Settings/Enhanced Options). This may happen with certain audio decoders, when switching to another channel with a lower audio bit-rate (e.g. from stereo to mono), resulting in a sound, that is periodically interrupted and played to fast (sounds like Mickey Mouse voices).

Rebuilding the graph is also needed for certain changes you have applied in the options window to take effect (for example selecting another video decoder in combination with Marfi's or the DVBViewer source filter).

Additional information about DirectShow filters can be found in chapter 10.


Recording and Playback

5. Recording, Playback and TimeShift

contents | to the bottom | previous chapter | next chapter

File Size and Basic Information about File Systems

Video recordings require a large amount of hard disk space, although it is hard to tell exact numbers. It is dependant on the bitrate and the resolution of the broadcast. As there are different formats, usually 480 * 576 (2/3 D1) and 704/720 * 576 (cropped/full D1) pixels, the necessary space will differ between about 300 to 900 kbytes per second which results in approximately 28.5 MB per minute. It is safe to say that you will need about 3-4 gbytes for a two-hour recording.

While this seems to be quite large, you must keep in mind that it is a 1:1 reproduction of the original broadcast. With DVB you won't have any audio or video distortions you know from analogue-recordings. Furthermore you will be able to use the recorded file for creating a video DVD without time-wasting re-encoding.

While modern harddisk drives provide more than enough space for DVB recording, you must keep in mind the limitations of the file-system. The ancient file-system of DOS and Windows 95 is the so called FAT or FAT16 (file allocation table), which is limited to a file-size of 2 gbytes. Windows 98 and ME feature the FAT32 system. This one allows you to record up to 4 gbytes, but another limitation is often caused by certain software, which is still limited to 2 GB.

Windows NT, 2000, 2003 and XP work with the modern NTFS (new technology file system). This one is more reliable and designed to work with large file-sizes. You may also use the FAT32 file-system with Windows NT, 2000 and XP although it is not advisable. With NTFS there is virtually no limit to the file-size, but here, too, you have to remember the limitations of certain software used for further editing of your recordings. There are no known problems with VirtualDub MPEG2, Vidomi, NeroVision Express and Ulead Movie Factory 2 for example.

To avoid unwanted surprises you should do the following:

  • Check the type of your file-system: You can do that by right-clicking your drive in the Windows explorer and selecting properties.

  • When using Windows 2000 or XP you should convert the partition(s) to NTFS as soon as possible to avoid problems. This can be done without formatting. Just use the windows help system (search word NTFS) for a step-by-step description. You can also use programs like Partition Magic from Powerquest. If you are not that experienced you should consider asking a friend for help.

  • At last you ought to check the free space available. As already mentioned you will need about 3-4 GB for a two-hour recording plus overlap. You should also know that your harddisk performance deteriorates the less free space there is.

contents | to the top | to the bottom | previous chapter | next chapter

Video Playback

There are different possibilities of playing back media with the DVBViewer:

  • The open video command in the DVBViewer-menu lets you select a media-file for playback.
  • Drag & drop: Simply drag the video file with the mouse into the DVBViewer-window and let it drop.
  • If the DVBViewer is not running, just drop the video file on the DVBViewer-icon on your desktop.
  • Link the file-type (MPEG for example) with the DVBViewer. You can do this by right-clicking the file in the Windows explorer and selecting “open with” and “always”.

Seamless playback: You can play back a media file, tune a channel and after that, you can continue watching your file at the break point by selecting last channel in the channel menu. By the way: All data are stored in the rec-database. That means, whenever you want to play-back a media-file you can choose to start at the beginning or the last position.

The DVBViewer Pro is based on DirectX and features a native demulitplexing filter. Thus all types of media can be played back, not only DVBViewer recordings. Because of DirectX you need to have the corresponding decoders installed, though.

contents | to the top | to the bottom | previous chapter | next chapter

DVD Playback

To playback DVDs select DVD Playback in the DVB Viewer menu. With this menu you can also address the DVD's menu structure and select the desired chapter.

Sometimes you may have a DVD-structure on your harddisk as a VIDEO_TS directory. To watch such a "DVD" you must select Open Video in the DVB Viewer menu and then the Video_TS.ifo file. You can select different MPEG2 and audio decoders for playback with the GraphSelector Plugin.

Playback of ASF and ASX File Formats

The DVBViewer plays ASF and ASX files. ASF is a compressed file format that can store audio and video information and is designed to run over the Internet. ASF may also include slide shows and synchronising events. The big advantage of this file is that it is delivered continuously and starts playing almost without a delay. You don't need to wait for your audio and video files to fully download before starting to view them. For example, a 40 seconds-long AVI file can take more than 40 minutes to download over a 28.8Kbps modem. Because of this long download time, it would be impossible to deliver Internet-based training class that is 20 minutes long. When converted to ASF file, this class begins playing after just a few seconds. Practically, the file's size has no relevance to the problem.

You can open ASF files easily with the Open Video command in the DVBViewer menu.

ASX files are textual command files that manage streaming of ASF files. They are very small in size (about 1K) because they contain no data, just instructions. When a user clicks a link to an ASX file, the browser downloads it to the cache directory, launches the Windows Media Player, and then starts the streaming. The advantage of using ASX files over ASF files is their server location. ASF files can reside on different server types:

  • Windows Media Services Server. File names will start with mms://.

  • HTTP Server. File names will start with http://.

  • Local or network drive. File names will start with file://.

ASX files, on the other hand, are small text files that can always sit on an HTTP server. When the browser interprets the ASX file, it access the streaming media file that is specified inside the ASX file, from the proper HTTP, mms, or file server.

You can address such files via the Open URL command in the DVB Viewer menu. Just input or paste the URL and the file will be played back.

contents | to the top | to the bottom | previous chapter | next chapter

Playback Using the Playlist

With the playlist you can arrange media files and let them play consecutively. For example the media files can be listed and played back in different orders. To do so, select playlist in the DVBViewer menu and then show playlist. Here you can

  • add Files: Open the context-menu with a right-click in the window and select add file. Now another window opens, in which you can select the file(s). Alternatively you can simply open the windows explorer in order to drag and drop the wanted files. The playlist can also cope with directories.

    New files are generally inserted directly behind the last marked entry. That means you can choose the inserting-position by marking a file.

  • You can remove a marked entry by selecting the corresponding command in the context menu or by pressing the [delete] key. The clear all button empties the entire list after a safety query.

  • You may re-sort the entries via drag & drop. Simply move the file to the desired position. Alternatively you can use the keyboard: The combinations of keys [Shift]+[¸] and [Shift]+[¶] move the marked entry a position up or down, [Shift]+[Pos1] and [Shift]+[End] move it to the start or the end of the list.

  • With the search function you can jump to the next file fitting the search criteria.

  • The whole list can be saved to a text-file by clicking the export button, which contains the file paths and names. The import button allows you to load such a list, but be careful, all previous entries are deleted. If you want to combine two or more list you have to select add playlist in the context menu.

  • Play item in the context menu starts the playback of the playlist with the marked entry. Alternatively you can also start with any file by double-clicking it.

Normally the files are played one after another downwards. Reaching the last file the DVBViewer starts over from the beginning. You can choose different ways via the playlist sub-menu:

  • First Item and Last Item start the playback of the file at the appropriate position; the playing direction is forward.

  • Next Item starts the playback of the file directly following the one being played. The playing direction is forward.

  • Previous Item jumps to the file preceding the one being played. The playing direction thereafter is backwards. This functions is not advised to be used with DVBViewer versions before 1.99 R4.

  • Random Item starts the playback of a randomly chosen file. Now all files are being played in random order.

Like all settings the current playlist is stored in the setup.ini-file automatically.

contents | to the top | to the bottom | previous chapter | next chapter

Automatic Splitting of Video Files

The DVBViewer can split recordings into suitable parts. This is useful for creating (S-)VCD for example. Therefore you must go the tab recorder in the options menu. Here you can set the split-size of the recordings in the following way:

  • Mark the split files checkbox by clicking on it.

  • Click on the following input field and enter the desired maximum size (for example 2000 MB for recordings with Windows 98 or about 699 MB for creating 700 MB (S-)VCD.

  • Finish your selection by pressing OK.

After reaching the set value a new file is created automatically and the recording continues.

Additionally you may activate a recording indicator in form of a flashing red point overlayed to the picture. Also you can tell the DVBViewer to create a text-file with the corresponding EPG-information when starting the recording.

contents | to the top | to the bottom | previous chapter | next chapter

Target Folder and File Format

Before starting your first recording, the location for the recordings must be set. The default setting is a sub-folder in the DVBViewer-folder. You can also set the path for time shift recordings. Those adjustments can be made at settings/options/recorder.

Now you must choose one of the following file-formats in the output format list (the selection only applies to video-recordings, radio programs are always recorded in the mp2 format (via the GraphSelector plugin you can record radio broadcasts directly in the mp3-format)):

  • Video/Audio PS (MPEG 2 program stream): This is the standard setting. It produces an MPEG 2 (though not necessarily DVD compatible) compliant file. MPEG, which stands for Moving Picture Experts Group, is the name of a family of standards used for coding audio-visual information (e.g. movies, video, music) in a digital compressed format.

    The file extension here is .mpg, or .m2p. Often you can use such a recorded file directly for creating a DVD or (S-)VCD. This kind of recording is also known as multiplexed recording.

    Reminder: DVB-MPEG 2 is not the same as DVD-MPEG 2. For DVD-compliance a GOP (group of pictures) must not consist of more than 15 pictures (PAL). But DVB broadcasts often have more than 15 pictures per group. This is not the DVBViewer's fault since the original stream broadcast is saved. But many modern DVD players can cope with DVB-recordings, though.

  • Audio (.mp2): When selected only the audio stream will be recorded. MP2 (MPEG 1 layer 2) is a predecessor of the well-known MP3-format (MPEG 1 layer 3). Since Windows brings its own decoder for mp2, even the WMP does not have any problems with playback. But this does not apply to all programs. Nero Burning ROM does not accept mp2-files for example as raw material for audio CDs. They must be converted with a suitable tool like BeSweet to MP3 or WAV. Also keep in mind that audio CDs have a sampling rate of 44 kHz, DVB-recordings have 48 kHz. Therefore it may be necessary to down-sample the format. Further information can be found in chapter 9.

  • Video/Audio PES (PVA, packetised elementary stream): A PVA-file consists of a sequence of audio and video packets without headers or file trailers. This format is particularly advisable for further processing the recordings (for example cutting ads) with appropriate PVA tools as PVAStrumento from www.offeryn.de or PVACut.

    Reminder: You can use AC3 in combination with PVA, but at the time only PVAStrumento and ProjectX are able to demux such a stream. It is advisable to use the more common MPEG 2 for AC3 recordings.

    During the playback of PVA files there are certain restrictions, as you are unable to seek (jump to different positions). It is also necessary to install a PVA demultiplexer which is able to separate the combined video and audio stream of this type of file. Such a fil;ter is contained in the MPEG 2 decoder package from http://www.elecard.com.

  • Video/Audio TS (*.ts): This format records the original data stream from the satellite. It is most advisable for further editing and error handling.

Smart Buffer

Activating this option uses a buffer for recording. The maximum size is 10 percent of your RAM. The minimum size is 2 mbytes. The buffering algorithm prevents negatives influences on the recording process. Usually 3-5 mbytes are sufficient, since one second of DVB stream takes up to 0.5 mbytes. That means you'll have a 10 seconds buffer with 5 mbytes size. The buffer consists of a series of 512 kbytes chunks which are asynchronously written to the harddisk. There are two threads. The first one fills the buffer and receives the data directly from the directshow filter. The second thread is responsible for writing the data to the disk and thus emptying the buffer.

contents | to the top | to the bottom | previous chapter | next chapter

Recording

After you've made all necessary adjustments, you may start now: Switch to the program you'd like to record and click on the red button in the tool bar or select record video in the DVBViewer menu. During the recording, the button will be greyed out; a second click stops the recording.

You can record more than one channel at once as long as it is on the same transponder. Just switch to the first channel, start the recording, then switch to the next, start another recording and so on... All manual recordings are listed in the timer programming window (see below), too. The default recording time is 180 minutes.

You have to consider the following things:

  • Modifications to the TV display (frame size, aspect ratio, brightness/contrast, minimizing the DVBViewer to the tray) do not influence the recording. With DVB the original stream is saved to your harddisk, it is not modified in any way.

  • Active LAN/Internet connections should be avoided, they could disturb the recording process which may result in lost frames.

  • Although the recording process is resistant to most other activities, this mainly depends on the efficiency of your PC. With entry-level PC there shouldn't be any background activity. To avoid CPU stress you can disable the EPG reading process in Settings/Options/Teletext & EPG.

  • If you want to use other programs while recording, it is advisable to preset the DVBViewer in the recorder-control-window to a high CPU priority so that all other activity shouldn't interrupt the DVBViewer.

contents | to the top | to the bottom | previous chapter | next chapter

Timer Programming

You can use the DVBViewer like your video-recorder since it allows timer recordings. The timer function enables you to record a show while you are absent. The corresponding window can be opened by selecting the menu entry DVBViewer/Record Settings. In order to add a new task you have to proceed as follows:

  • Select the channel in the channel list on the left side. The channel number is inserted automatically into the appropriate input field.

  • If you require another date than today, click on the downward arrow beside the Date input line. A small calendar appears where you can choose the desired day.

  • Then you have to fill in the fields Start and End with the starting and ending time of the recording. Single-digit numbers must be written with a preceding zero (e.g. 09 for 9 o'clock)

  • If the recording is to be executed repeatedly you must select the corresponding days.

  • You may also enter a description of the recording which will be part of the file-name.

  • You can set a specific function to be executed after the recording:
    • Do Nothing (standard setting)
    • Shutdown (the system will be shut down)
    • Standby (the system will be set into the standby mode)
    • Hibernate (the system will hibernate)
    • Close the DVBViewer
    • Start Playlist
    • Slumbermode
  • If you just want to be reminded of a broadcast select only tune channel in the drop-down box in the lower right corner. Then the DVBViewer will just tune the channel at the programmed time.
  • You can also select Use Audio Recorder Plugin or Use Video Recorder Plugin (members' area). This function uses either the Audiorecorder Plugin (must be installed) or the Video Recorder Plugin (must be installed) for recording.
  • You can add a recording to the list by clicking Add. After finishing your programming click Close - otherwise the DVBViewer won't add the data to the timer!

You can record more than one channel at a time as long as it is on the same transponder. When programmed the recordings start automatically.

Furthermore the window offers also the following features:

  • For editing an entry click on it with the left mouse button. Now the input fields have been filled with the corresponding data. The start and end time now can be modified comfortably with the arrows beside the input fields in minute steps. Finish the editing by clicking on update.

  • In order to delete a job mark it in the list and click on Remove.

  • The recordings are sorted by the starting time. It is also possible to sort them alphabetically by the channel name or the description by clicking on the appropriate column title. A further click on the same column title reverses the sorting sequence.

  • DVBViewer automatically detects overlapping entries and posts a warning in red letters. The programming of directly sequential transmissions (e.g. 20:15-22:00 and 22:00-22:45) is possible and the recordings start correctly.

  • You can also split a selected recording with the split button.
  • In case of recurring recordings (series for example) you can stop a recording without removing it. You can continue the current recording with unchecking and then re-checking the recording.

A much simpler way for timer programming is via the EPG window. You may choose a TV-show and click at Send to PVR. So the necessary data has been transferred to the recording list. It is recommended to decrease the start and increase the end times by few minutes to ensure the entire show is completely recorded.

Please note: The DVBViewer must be running to record a TV-show.

contents | to the top | to the bottom | previous chapter | next chapter

TimeShift

Time shift is a non-linear recording and playback system. Simultaneously recording and watching TV is incredibly easy with the timeshift function. For example, while you're watching TV somebody rings at the door - no problem! Simply start recording and when you return, you can watch where you left off, while the rest of the program is continuously being recorded.

To use timeshift just start a recording and either select Timeshift in the DVBViewer-menu or move the mouse pointer to the bottom of the DVBViewer window. Then a toolbar pops up. Timeshift is (de-)activated via the button that looks like a tilde. In the following situations this is quite useful:

  • You would like to watch a show but you are indisposed and can start to watch 20 minutes later. In order not to miss the beginning you start the timeshift recording at the beginning of the show and 20 minutes later timeshift playback.

  • You would like to watch a film without advertisements. Now you start the timeshift recording at the beginning of the film and give the DVBViewer a lead of approximately 25 minutes. Then you start timeshift playback and watch the film from the beginning. The current playback position of the recording is displayed in the progress bar in the toolbar. Reaching an ad-break just skip it by simply using the progress bar slider.

  • In case you're interupted while watching a movie just click the pause button, timeshift recording will start automatically. Continue with clicking on the play button.

  • You may also start a timeshift recording precautionary. When you are interrupted simply click pause in the DVBViewer-menu or the pause symbol in the toolbar. When you return to the computer click the start button.

.You can start TimeShift Playback by moving the slider of the toolbar's trackbar to the desired position. Proceed there as follows:

  • You can easily jump to any position by dragging the trackbar slider to it. There are two time-sets. The left one is the actual position, the right one displays the overall play-time.
  • Please note: The length of a stream is calculated based on the size of the file and the bitrate of the first video sequence. This often leads to a wrong length information. Unfortunately this is unavoidable with DVB.
  • To stop timeshift completely, that means both recording and playback, simply click at the tilde-icon in the toolbar. You will return to the live broadcast.
  • To stop only the timeshift recording, but not the playback select Stop Timeshift recording in the DVBViewer menue
  • The play, pause and stop buttons do not influence the timeshift recording, just the playback.

Enable Keep TimeShift File in the DVBViewer menu to store the timeshift recordings.

The Video-Recorder-Plugin features simultaneous multi-channel timeshift in combination with the new TS-Player.


The Channel List

6. The Channel List

Due to the huge quantity of channels that can be received digitally via satellite, a simple conventional list gets quite unhandy. Therefore the DVBViewer offers the management in a hierarchical tree-like list, which is working similar to the file management on your hard disk. This section describes, how you can navigate in this list and modify it according to your needs. Additionally the channel search function is described.

contents | to the bottom | previous chapter | next chapter

Navigation in the Channel List

The top level entry (the root folder) generally represents the satellite position (for example Astra 19° East), thus it is displayed as a satellite symbol. Each root contains two subfolders named video (for television channels) and audio (for radio channels). These subfolder again contain subfolders, representing the categories, in which finally the channels are sorted.

Since the list is very flexible, you may rename or resort the folders and channels, delete them or create new ones, as you like. To open or close a folder, simply double-click it. If you double-click a channel, the DVBViewer will switch over to it.

A folder may also be opened by clicking the plus sign located on the left of it. Clicking the minus sign of an already opened folder closes the complete subtree.

A simple mouselick selects the folder or channel for further operations such as delete or edit.

The keyboard allows for urther navigation possibilities:

  • The keys [¸], [¶], [Home], [End], [page ¸], [page ¶] are moving the selection up and down in different ways - just have a try.

  • Hitting the [return] key switches over to the selected channel.

  • The [-] key in the numerical pad closes the selected folder, the [+] key unfolds it. The [x] key in the numerical pad does even more: It opens the selected folder, all its subfolders and sub-subfolders... in order to diplay the whole content.

If you are looking for a certain channel, you may enter a search item in the Search input line. After hitting the [enter] key the next item containing the search item will be displayed and selected. You also may search for a channel with a certain number by entering the number in the right part of the Search input line.

contents | to the top | to the bottom | previous chapter | next chapter

Sorting the Channel List

You can alter the order of the channels, categories or roots. This can be easily done by drag and drop: Click the object you want to move, drag it to some other place and drop it there. Only the video/audio folders are not movable.

If you want to move a channel to another category or root, simply grab it with the mouse, and let it drop on the folder icon. If a channel is shifted to another root in this way, and its category does not yet exist there, it will be created. Category folders may also be moved to other roots.

If you prefer using the keyboard, you may move the entries as follows:

  • The [Shift]+[¸] and [Shift]+[¶] key moves the selected channel or category one position up or down.

  • The [Shift]+[Pos1 ] and [Shift]+[End] key move the selected object to the top or bottom position within its parent folder.

  • The [Del] key deletes the selected channel or folder after a warning query was raised. To improve the DVBViewer speed, it is recommended to remove all unused satellite folders (roots).

Please note: Accidentaly removed entries cannot be restored - there is no undo function. Therefore it is recommendable to create a backup copy of the file channels.dat. It is located in the DVBViewer folder and contains the entire channel list.

Furthermore you may rename roots, categories and channels. For this purpose click the object's name twice slowly - no ordinary double-click! After that, the name field turns into an input line, where the name can be edited in the usual way.

contents | to the top | to the bottom | previous chapter | next chapter

Editing Channels

After having selected either a satellite position (root) or a channel, you can go to the Edit tabsheet. If it concerns a root entry, the following settings appear:

  • Name: In this input field you may modify the root folder name. Finish by clicking the Apply button

  • DiSEqC: The Digital Satellite Equipment control is a digital impulse, used for sending signals to the multiswitch. It is used in particular to switch between several satellite positions (for example Astra and Eutelsat). In this list you can determine the DiSEqC adjustment for all channels located in the root folder. Finish by clicking Apply. Important: If your satellite reception system is equipped with such a DiSEqC switch, the DiSEqC adjustment is a must! Without it, you probably can't receive anything. You may use an already available digital satellite receiver, in order to check, which DiSEqC adjustment is suitable for which satellite position.

  • Delete: Deletes after a safety query the selected folder with its whole content. Is is recommendable to remove all unnecessary satellite positions from the standard channel list to improve the processing speed. Please note: There is no way to undo it. Once deleted, the entries are gone. So it is a good idea to create a backup copy of the file channels.dat. It is located in the DVBViewer folder and contains the entire channel list.

After having selected a channel, the Edit tabsheet shows a couple of settings. The three buttons at the bottom of the tabsheet have the following meaning:

  • Add: An additional channel with the displayed properties is inserted into the list. The original channel is preserved unchanged with its characteristics. In this way you may create a copy of a channel in another category, for example.

  • Remove: The channel is deleted from the list after a safety query.

  • Update: Modifications for the selected channel are taken over.

The upper three fields determine, how and where the channel appears in the channel list.

  • Name: Here you may rename the channel. But be carefull: If there is a pending timer recording for this channel, it will not work anymore, because the DVBViewer cannot find the channel under its new name! Even if the channel is stored in the favourite list (see channel menu), it must be stored again with its new name, otherwise it cannot be tuned.

  • Root and category: Here you may assign the channel to another root or category. If the name entered by you does not yet exist, an new folder will be created accordingly.

In this way you can create new roots and/or categories easily.

Clicking the card icon lets you select the type of reception (satellite, cable, terrestrial and ATSC).

The checkboxes in the middle section have the following meaning:

  • Encrypted: Here you will find a checkmark, if the channel found by a channel scan is encrypted. Since the DVBViewer does not support the playback of encrypted channels, this adjustment has no meaning.

  • AC3: In order to receive a channel with AC3 sound the AC3 box must be checked. Additionally a corresponding AC3 audio PID must be entered. Actually only Pro7 broadcasts in AC3 (audio PID 257). AC3 reception is only possible with the SkyAVC (Marfi's) source-filter.

  • Exclude from the EPG: A checkmark here excludes an unwanted channel from the time-specific EPG (which shows all transmissions running at a point in time). Thus the EPG representation can be limited to a meaningful measure.

The remaining fields on the register card contain technical data, which are needed to tune the channel correctly. If a channel cannot be received, mostly the reason can be found here. There are different Internet pages, which provide the channel data, for example http://www.satmania.com/eng/

If a new channel is announced in the DVBViewer forum, the required data will also be listed. After entering the values and clicking on Add the new channel is available in your list. Here a few short notes explaining the meaning:

  • Frequency: The frequency of the data stream, in which the channel (together with other channels) is encoded.

  • Symbol rate: Indicates the amount of data, that is transferred per second in the data stream.

  • Polarization: The orientation of the electromagnetic waves received from the satellite, which can be distinguished by the LNB (the unit that receives the beam focussed by the dish). By using horizontal and vertical polarization more channels can be fitted into a frequency range. The receiver must indicate the desired polarization to the LNB by supplying it with a certain voltage (14/18 V), so it can align to it.

  • FEC: Type and extent of the Forward Error Correction in the data stream.

  • PID: The Program Identifier is required to filter the correct packages out of the data stream. Uncorrect PIDs may cause different problems (Missing video/audio, error messages).

  • LNB-Selection: This is a signal frequency, sent by the receiver to the LNB, in order to select a certain frequency range. There is a Low Band, which is normally used for analog transmissions (but more and more gets occupied by digital streams), and also a High Band assigned for digital transmission. The correct adjustment for Low Band channels (below 11700 MHz) is None. For High Band channels (above 11700 MHz) 22 kHz is appropriate.

  • LNB frequency: The frequencies sent by the satellite are that high, that they cannot be transported by cables. Therefore the LNB creates its own high frequency signal, which is used to "mix down" the satellite signal to a frequency suitable for cable. A LNB frequency of 9750 MHz is appropriate for Low Band channels, 10600 MHz for High Band channels (see paragraph above).

  • DiSEqC: In this list you may assign an individual DiSEqC adjustment to the channel. It has the same meaning as the general adjustment for the root folder (see above). The SkyStar2 only supports DiSEqC 1.0 and 1.1.

contents | to the top | to the bottom | previous chapter | next chapter

Multilingual Channels

Several broadcasters are transmitting two or more audio channels, in order to provide two or more languages, e.g. Motors TV (English/French). Pro7 uses a second audio channel for AC3 Surround sound. Which audio channel is played back by DVBViewer, depends on the Audio PID displayed on the Edit tabsheet.

In order to enable an audio channel switching, the channel must be added in the channel list several times with different Audio PIDs. Each time a new TV channel is tuned in, the DVBViewer checks automatically if the channel is represented with more than one available Audio PID in the list. If it is, you will find an Audio entry in the Settings Menu. It activates a submenu, where you may select the different audio channels.

The menu entries in the picture on the right can be achieved as follows:

  • Select Motors TV in the England category. Go to the Edit tabsheet, rename the channel to Motors TV English and click on Update.

  • Edit the channel again. Change the name now to Motors TV Francais, enter 192 as Audio PID and click Add.

contents | to the top | to the bottom | previous chapter | next chapter

Channel Search

Instead of adding a lot of new channels manually on the Edit tabsheet, you may prefer to let the DVBViewer do the job by performing a channel scan. That means, the DVBViewer searches for channels within a certain frequency range. All relevant data are determined by the program and entered in the channel list. Just switch to the Channel Scan tabsheet and follow the step by step instruction:

  • First of all, you have to enter a name for the Root folder, in order to determine where the found channels are stored. If you give it a name, which does not yet exist, a new root folder for the scan results will be created. This is recommendable - probably you will get a lot of unwanted channels. Just move the wanted results to your favourite folder, and delete the whole root folder temporarily used for scanning afterwards to get rid of the rest.

  • An even better alternative: Select the desired satellite position from a list, which can be opened via the triangle symbol located on the right of the edit field. The list entries stand for prefabricated transponder lists, which enable the DVBViewer to scan much faster and more accurate. The transponder lists are located in the DVBViewer/Transponders folder as INI files (e.g. 0192,ini stands for Astra 19° East) and may be updated by downloading them from http://joshyfun.topcities.com/transponders/

  • The LOF adjustments (Local Oscillator Frequency, LNB frequency) should be left unchanged; unless you know what you do.

  • DiSEqC must be adjusted only if your equipment is able to receive several satellite positions (for example Astra and Eutelsat®). Also the symbol rates preset for the search are usually sufficient.

  • The Start- and End Frequency determine the frequency range to be scanned. Scanning the whole preset range takes some minutes, if a transponder list is used, and up to an hour without transponder list. Thus it is often more effective to scan only a small range in which new channels are suspected (e.g. one transponder with the same value for start and end frequency).

  • The Stepsize only plays a role, if you do not use the prefabricated transponder list. In this case the stepsize is used to increment the scanned frequency. The higher the value, the faster the search, and the higher the probability that couple of channels are not found.

  • If you enable the Scan & Update option, the DVBViewer updates already existing channels, if (and only if) they own the same DiSEqC, Service-PID and Audio-PID value as the scanned channel. If no matching channel is found in the list, the scanned channel wil be added as a new entry.

  • The Sort by Provider and Sort by Frequency radio buttons determine, whether the category folders for the scanned channels are created and named according to their provider (e.g. MTV® Networks) or their frequency and polarization (e.g. 11739 V).

  • If you enable the Free To Air only option, only channels that are not encrypted are added to the list. Please note: This option may also be used as a filter for importing channel list (see section below). It's a very useful option because the DVBViewer does not and will not support decryption in any form.

  • After having adjusted everything, just click on the Scan button in order to start scanning. Watching TV is not possible, while the scanner is busy. After the DVBViewer has finished the search, go to the Channels tabsheet in order to examine the results.

contents | to the top | to the bottom | previous chapter | next chapter

Import and Export

When the DVBViewer is closed, it stores the channel list in the file channels.dat, whereby it uses its own format. There are however also different formats, which can be imported or exported by clicking the two buttons at the bottom of the channel list window. They open a window for file selection. Use the dropdown list at the bottom of the window to select the desired file type resp. Format:

  • MDB: Microsoft Acess® Database - a Microsoft® data base format that can be imported.

  • SDX: Channel lists in the SatcoDX format, that can be imported. You find them at http://www.setedit.de/satco_sdx_de.html. These lists are quite up-to-date, but contain no teletext PID. Thus the Teletext of the imported channels won't work, unless the PIDs are supplemented manually.

  • TXT: Text file program lists by TechniSat. These files can be retrieved from http://www.technisat.com/. As this format doesn't contain the teletext PIDs, they must be supplemented manually.

  • INI: A format that can be imported and exported by the DVBViewer, and furthermore processed with a text editor.Is is the prefered format for channel list interchange. A constantly updated channel list for Astra 19° east can be downloaded as INI file from http://www.dvbviewer.com/download/astrafta.zip.

The import function inserts the channels into the list, as if they would have beeen added manually on the Edit tabsheet.

If the present program list is to be replaced by a new imported list, it can be deleted entirely by clicking the button Clear All. After a safety query the channel will be completely empty. Caution: This cannot be undone.

contents | to the top | to the bottom | previous chapter | next chapter

External Favourite Lists

From release 1.98 R17 the DVBViewer provides the ability to create shortcuts of the most used channels in various places - on the Desktop, in the Start Menu, within an Explorer window or in the Internet Explorer Favourites.

The selection of channels is done by (double-) clicking the shortcut. In case the DVBViewer is not running yet, it will be started and the selected channel will be played. Should the DVBViewer already be active, it will change to the selected channel.

The external channel selection depends on the DVBViewer command line parameters, listed here:

  • -c DVBViewer shows no channel at first (standby)

  • -cNumber: Switches to the given channel number.

    Example: c:\ program files\DVBViewer\DVBViewer.exe -c12

  • -cName: Switches to the channel with the given name.

    Example: c:\ program files\DVBViewer\DVBViewer.exe -cMTV Central

  • -c:Service-PID: Switches to the channel with the given Service-PID.

    Example: c:\ program files \DVBViewer\DVBViewer.exe -c:28653

  • STYLE="margin-bottom: 0.2cm">-cName:Service-PID: Switches to the channel with the given name and Service-PID.

    Example: c:\ program files\DVBViewer\DVBViewer.exe -cMTV Central:28653

Always the first channel in the list of channels, which matches the parameter, will be selected. However, with the last option, channels with a recurring name can be selected definitely. The Service PID of a channel can be found in the Channel Window of the DVBViewer, on the Edit tab. Please note that after deleting, inserting or re-arranging channels in DVBViewer, it is possible that a different channel will be selected when using the option to select by channel number.

To manually create a channel shortcut, follow these steps:

  • Drag the icon of DVBViewer.exe with the right mouse button and drop it on to the desktop (or anywhere else) and select "Create shortcut(s) here" from the menu. Should a shortcut to DVBViewer already exist on the Desktop, you can select it as well with the right mouse button and move it to the desired place and select "Copy here" in the context menu.

  • Right-click the shortcut with the mouse and choose Properties in the emerging context menu and select the tab Shortcut.

  • Append one of the aforementioned parameters in the field Target to the DVBViewer path and program filename. The program file-name and the parameter must be separated by a blank. The field then should contain something like: c:\Program files\DVBViewer\DVBViewer.exe -c CNN

  • On the tab General you can now assign a descriptive name - for instance the channel name - to the shortcut. Finish that by clicking "OK".

Double-clicking the shortcut will now switch to the respective channel. To facilitate the creation of external channel lists you can use the downloadable Tool package. It contains a

  • aReadme file with step-by-step-instructions for creating external channel lists,

  • a VBScript tool, that automatically creates channel shortcuts out of a channel list exported as INI-file,

  • a VBScript tool, that facilitates assigning individual icons to the channel shortcuts and

  • a selection of channel logo icons - nearly all TV or Radio broadcasters on Astra 19° East are represented.


The Options Window

7. The Options Window

contents | to the top | to the bottom | previous chapter | next chapter

The DVBViewer Pro offers multiple possibilities for changing the appearance and adjusting the functionality.

General Options

Language: Here you can select the language of the user interface.

Skin: You can set different skins for the DVBViewer.

Icon style: You can choose different the icon-styles for the DVBViewer toolbar:

  • 9x set: The toolbar appears in the classical style of Windows 98
  • XP set: The toolbar appears in the modern style of Windows XP.
  • DVBViewer set No. 1/2: These are special DVBViewer-style icons. Sets 1 and 2 differ by colour.

Prevent Screensaver: Prevents all screen saver activities and switching to the stand by mode while the DVBViewer is running.

Hide the mouse cursor in fullscreen mode: Renders the mouse cursor invisible in fullscreen mode after the given time.

On top also in fullscreen. Disabled, all windows and menu bars will be in the background, thus you can only see the TV picture.

Forum member “comp” has written a guide for using WinLIRC and Girder, although it's in German. A translation is still pending. Have a look here.

Start in fullscreen mode: The DVBViewer opens in fullscreen mode, not window mode.

Controlbar popup delay in ms: Here you can set a delay for the controlbar popup, that means when you move the mouse-pointer to the bottom of the display area the controlbar will not pop up at once but after the set delay.

Show DVBViewer in: Determines how Windows handles the running DVBViewer. It can be shown in the taskbar, in the system tray, or in both. In general System Tray only is recommendable, in order to save space in the taskbar, and to enable the context menu via right-clicking the DVBViewer tray icon.

HTPC-Mode changes the behaviour of the DVBViewer. Window mode is the standard setting for normal mouse control, HTPC mode starts in full-screen/OSD mode and requires a remote control.

Automatic Timezone automatically adjusts summer and winter time.

Synchronize by transponder uses the transponder information for synchronization.

contents | to the top | to the bottom | previous chapter | next chapter

Extended Options

Priority: Here you can set the priority for the DVBViewer's process in the system. To avoid problems it should at least be set to higher than normal, otherwise you may encounter lost frames in your recordings because of extensive CPU usage of other programs. But please note that especially highest priority may cause lost data, if you call time-consuming DVBViewer functions while recording (e.g. importing a channel list).

Use only first CPU enabled uses only one CPU in SMP/Hyperthreading environments. Since there may be issues with the TechniSat driver you should always enable this option.

Ignore error messages: Enabled, error messages are suppressed, which may occur when switching to an encrypted channel or one, that can't be received at all.

Support for visually impaired users (JAWS): When enabled the TV picture will be replaced by a textfield. When JAWS is installed this text and videotext will be read aloud.

Disable LNB on completion switches off the LNB when closing the DVBViewer.

Use Microsoft scheduler: When selected videorecorder programmings are sent to the scheduler for using standby or hibernation mode between recordings. For using this function you must download the Scheduler.exe from the Service Center and copy the file(s) to the DVBViewer's main folder.

contents | to the top | to the bottom | previous chapter | next chapter

DirectX Options

Current Device : For normal TV-operation you need to select "Flexcop based cards". Further information about the network devices are located below. Skystar2 (compatible) supports 64-bit environments.

Video Output: Usually you should use the overlay mixer. Since older graphics cards are not able to handle the standard overlay mode, you may choose one of the others:

The following modes are supported:

  • Unchanged: The output mode is chosen by the DirectShow System. Therefore some functions might not work (e.g. adjusting brightness or contrast), caused by the missing overlay mixer.
  • Overlay Mixer: The standard setting. Overlay is the fastest mode.
  • VMR7 Video Mixing Renderer: This output mode enables an excellent semi-transparent OSD (On Screen Display), compared to the simulation of semi-transparency in other modes, because the OSD is actually mixed into the television picture. The degree of transparency can be adjusted with the VMR transparency sliding control. The adjustments on the next tabsheet (EPG options: covering, half and full transparency) are ineffectual in this mode. Screenshots are possible, but the adjustment of brightness, contrast etc. may not work.
  • VMR9 Video Mixing Renderer: Same as above, but it uses the renderer provided by DirectX 9 with even higher quality. DirectX 9 must be installed to get it working, though.

Audio decoder and video decoder: Here you can select the audio and video decoder. You may try different decoders to compare the output quality or to avoid problems which are caused by a certain video/audio decoder.

Detect Audio and video format automatically: You may try to change these two options in case of problems with either video or audio playback, for example problems with with non D1 broadcasts (for example 480 * 576, 544 * 576...) and Moonlight/Elecard decoders. Generally enabling these options increases the zapping delay since tuning takes a bit longer.

Post Processor lets you choose a special filter for enhancing the picture quality. Attention: This needs lots of CPU power.

Remember the Last Data Channel: This option should be enabled if you access the internet via satellite. In this case the DVBViewer permanently remembers the data channel used for data transmission..

Use DeDynamic Directshow filter (if available): Enabled, the DVBViewer uses the dedynamic audio filter. This filter reduces the discrepancy between loud and quiet passages in movies (it adjusts the loudness). Thus quiet passages are more amplified than loud passages. The sliding control on the right determines the basic volume (this is not applied to recordings!).

Output device: Here you can select the output device for audio playback. Usually this is only of importance, if there is more than one sound card in your PC (e.g. one on the main board and an additional one). If you possess a single sound card, the options refer to different ways of accessing the device.

contents | to the top | to the bottom | previous chapter | next chapter

EPG Options

On this tabsheet the Teletext and EPG options are located.

Do not receive EPG-data: Processing the EPG data can be very time-consuming on some channels. If this causes problems in conjunction with a slow CPU, the display may become jerky or the sound may get distorted, processing the EPG data can be switched off by using this option, although no EPG will be available then.

Auto-popup Mini-EPG in seconds: Enabled, the DVBViewer automatically displays some EPG information about the current broadcast after tuning a channel. The input field on the right determines how many seconds the EPG info remains visible.

Persistent EPG data: Enabled, all collected EPG data is saved to the hard disk, when the DVBViewer is shut down (EPG.dat in the DVBViewer folder), so that the data is available after the next program start.

contents | to the top | to the bottom | previous chapter | next chapter

TV & Radio

Hide display in radio mode. Enabled, the DVBViewer's display window shrinks when tuning a radio-channel, so that you will only see the menu, icon and status bar. The OSD can't be accessed while being in radio mode.

Channel switching delay: Enable and set a delay in milliseconds. This is pretty useful, if you are frequently using the Channel plus/minus function (via mouse or keyboard).

The delay enables switching several channels forward/backward without tuning them, while the channel names are displayed continuously in the DVBViewer-window.

Fast Channelswitch: Enabled, switching to another channel is performed much faster. However there are issues with certain MPEG2 decoders, for example Elecard. Particularly changes of the video resolution or audio mode (e.g. from stereo to a mono signal, and thus to a lower audio bit rate) sometimes lead to distortions (Mickey Mouse voices, the picture is compressed to 2/3 of the width). These can be fixed easily, however, by using Rebuild Graph in the view menu. If the Fast Channelswitch option is not checked, the graph will be automatically rebuilt when switching over to another channel.

Automatic channel data update dynamically updates the PIDs of the current channel, useful and necessary for certain regional broadcasts.

radio mode

Teletext Options

Here you can modify the appearance of the Teletext window. The Teletext options appear after clicking the sub-tabsheet Teletext:

Maximize on Fullscreen: Enable for displaying the TV picture in fullscreen mode, the teletext is also displayed maximized.

Font: Here you can select the font, which is used for Teletext representation.

Language: This adjustment should generally remain set to automatic. If the the teletext, however, is not displayed with the correct character set, it may be adjusted by selecting the language here.

Fixed Rendersize: Enabled, the DVBViewer creates the teletext as a picture (bitmap) with a fixed size, in order to reduce processor usage. In this case the picture is simply stretched to fit the window, instead of being recalculated. Thus for the standard size of the teletext window, the number of pixels should be set horizontal/vertically to 470 x 444, in order to get a well readable representation. It is not advised to use this option.

colours: The lower area of the teletext options allows for defining the colour set. First select the colour you want to modify in the list on the left (colour 0..7). Then choose the new colour in the field in the middle. Alternatively you may type the red/green/blue values of the new colour in the three input fields R, G, B. Click the Set button, in order to apply the new colours. The Restore colours button resets the colours to their default.

contents | to the top | to the bottom | previous chapter | next chapter

Recorder Options

This tabsheet contains important specifications for video and audio recordings.

Directories/Recorder: Lets you set the folder to place the recordings by either entering the complete path or just clicking the folder symbol to open a window for a more convenient folder selection. By default the subfolder Capture in the DVBViewer-folder is used.

Directory/Time SHIFT: Same as above, but for the temporary time shift file. This file is deleted automatically when closing the DVBViewer.

Split Files after: Enabled, the DVBViewer splits the recording automatically in portions of a specified size in order to cope with the limitations of the FAT32 file system (particularly under Windows 98/ME) or to prepare the files for creating (S-)VCDs. Enter the desired maximum size in the field after xxx mbytes.

Recording format: The DVBViewer allows for recording in different file formats, which can be selected in this list:

  • MPEG 2 PS (.mpg): This is the standard setting. Your recordings are saved in the MPEG2 program stream format. This format can be played back with any media player. Usually you can take such a file for creating video DVD or (S-)VCD without further processing. This is also known as multiplexed recording. You can choose between the file extensions .mpg or .m2p.
  • MPEG 2 PES (.pva): This format is a relict that shouldn't be used any longer. There are certain restrictions with playback, for example seeking (jumping to different positions). It is also necessary to install a PVA demultiplexer which is able to separate the combined video and audio stream of this type of file. Such a filter is available from Radlight.
  • MPEG 2 TS (*.ts): This format records the origal satellite data in the transport stream format. This one is most advisable for further editing and error correction.
  • Audio (*.mp2): This selection only records the audio stream of a broadcast.

Signal ongoing recordings in the video window: When enabled, a running recording is indicated by a flashing red point overlayed to the television picture (the indicator is not recorded!).

Create information file: Enable to create a small text file for a recording. It contains the EPG information for the recorded show.

Automatic TimeShift starts a timeshift recording automatically when tuning a channel.

2k DVD packets creates always 2048 bytes packets, or more precisely, lets the recorder align the data packets to 2048 byte borders by filling the remaining space with stuffing bytes. This may be suitable for stand-alone DVD players, but increases the file size.

Use Smart Buffer: Activated the A/V-data is buffered before being written to disk. The maximum buffer size is 10% of the available RAM.

dT before after: This options adds time in minutes to the entries in the recorder list when programming via the EPG. Often the EPG information is not 100 percent correct or special events delay the programmed broadcast. Of course you can correct the settings one by one in the recorder list but this is a global setting.

You can also set default actions for recordings (i. e. only tune a channel) and after recordings (shut down for example).

contents | to the top | to the bottom | previous chapter | next chapter

Network Streaming

As mentioned above you can watch TV over a LAN (local area network). There are two streaming solutions:

Unicast Streaming and Multicast Streaming

1. TCP (Transmission Control Protocol), this is one of the main protocols in TCP/IP networks. Whereas the IP protocol deals only with packets, TCP enables two hosts to establish a connection and exchange streams of data. TCP guarantees delivery of data and also guarantees that packets will be delivered in the same order in which they were sent.)

2. U DP (User Datagram Protocol). UDP is designed for applications where you don't need to put sequences of datagrams together. It fits into the system much like TCP. There is a UDP header. The network software puts the UDP header on the front of your data, just as it would put a TCP header on the front of your data. Then UDP sends the data to IP, which adds the IP header, putting UDP's protocol number in the protocol field instead of TCP's protocol number. However UDP doesn't do as much as TCP does. It doesn't split data into multiple datagrams. It doesn't keep track of what it has sent so it can resend if necessary. About all that UDP provides is port numbers, so that several programs can use UDP at once.

There are some prerequisites: First, the DVBViewer must be installed both on the server and the client(s). Second, on each client an MPEG2 decoder must be installed. Third, your firewall must be set up correctly.

And, most important: A functioning network must be installed. Both the server and the client must be equipped with NICs (Network Interface Cards or onboard solutions). They must be connected with at least CAT5 cabling or W-LAN 802.11g.

Use the following settings for the Microsoft network:

Server:

  • The TV card connection: No protocol is necessary here. In case you want to assign a static IP to the SS2/AS2/CS2 you should use the following IP-address: 192.168.238.238, subnet-mask: 255.255.0.0.

  • The LAN connection: The following items must be installed: The client for Microsoft networks, the file and printer sharing for Microsoft networks (not necessarily, but without it a network is quite useless), and the TCP/IP internet protocol. Here you should use a static IP-address, for example: 192.170.0.1, subnet-mask: 255.255.0.0.

  • Now you must set up the DVB Server as follows:

You can select the TV-card by clicking on the card-icon.

Streamtype: Select Unicast or Multicast. Multicast causes more network traffic. Unicast streaming should be used with W-LAN.

Interface: As interface you must select the network that connects the server with the client(s). Maybe you must select different values for TTL and buffer size, but that depends on your system.

IP-Subnet: You should use the default value.

Client:

  • In the DVBViewer you must adjust the settings in the options dialogue (DirectX) and set multicast or unicast network device as current device:
  • Put in the IP-address of the server PC in both forms.
  • As DVB multicast you must select the address of the network that connects the server with the client(s).
  • The ports setting must correspond with the DVBServer.

When automatically obtaining the IP-address you can use the command "IPconfig.exe /all" (without quotation marks) in a DOS-box to determine the addresses. On both the server and the client you must set the same workgroup.

On the server you must only start the DVB Server and click on start. Then open the DVBViewer on the client. Now you can watch TV over LAN, you can switch all channels.

There is another way of streaming only the current channel without using the DVBServer. In the options - network dialogue you find an input mask similar to the DVBServer. Attention: This works just with the current channel, that means you cannot tune another channel on the client!

contents | to the top | to the bottom | previous chapter | next chapter

Keyboard and Remote Control

You can assign every function of the DVBViewer to a key (keyboard or remote control). Additionally you may also choose the function of the mouse wheel.

Keyboard: The left side of the list presents the available DVBViewer functions. The right side contains the assigned keys. In order to modify an assignment, double-click the desired entry, and then press a key or a combination of keys (e.g. [Ctrl]+[Q]).

To remove an assignment just assign the same key to the same function again.

Please note: Some combinations already used by Windows should not be used, since that may lead to problems, e.g. [Ctrl]+[Alt]+[Del].

Mouse wheel: Here a list of functions is presented, which can be assigned to the mouse wheel.

WinLIRC: The WinLIRC sub-tabsheet presents a list, similar to the keyboard list. This list allows for assigning functions to the keys of a remote control, which is supported by the program WinLIRC. It is done exactly in the same way as for the keyboard, except one difference: You have to press a key of the remote control instead.


Troubleshooting

8. Troubleshooting

The DVBViewer's author makes every effort to perpetually optimise the program, make it more compatible and to remove bugs, although it is hardly possible to adapt the DVBViewer to each environment. The DVBViewer has to rely on a multiplicity of soft- and hardware components, beginning with the LNB over to the to various system components built into your PC, such as graphics cards, network cards, drivers, filters etc., and the number of possible interactions in a Windows PC is almost infinite.

Since DVBViewer is working properly for most users - apart from smaller indispositions - it is very likely that serious problems are not related to the DVBViewer. This chapter will help you to determine the cause and solve the problem. The first two sections of this chapter contain general notes about troubleshooting. The last section provides a collection of known issues and their solution.

Contents | to the top | to the bottom | previous chapter | next chapter

In the Correct Order

In case of problems try to follow the steps listed in this section:

  • First of all: Keep calm! With haste you may only worsen the damage or problem.

  • The first step is to identify the problem. The next section supplies a catalogue of questions which you should study in particular when you encounter distorted or none reception.

  • Then check-up the list of well-known problems in the section after the next. Determine if one of the descriptions (and thus perhaps the solution) applies in your case.

  • If nothing applies you should use the search function of the DVBViewer-forum. Select Search, enter a search item (at least 4 letters), and pay attention to the search options. Make several attempts with different terms; there is a high probability that it is not a new problem and that there's already a solution for it.

  • If your search delivers no results you may ask for assistance in the forum. You should carefully formulate your question, at best take your time and write it off-line first. It must contain information about your system (operating system, processor, filters, drivers, etc.) and you should attach your Setup.ini file (located in the DVBViewer folder) and the DVBViewer.log (located either in your „c:“ root directory or in the DVBViewer folder) to your posting. These contain all the settings and might be very informative for diagnosis.

  • In order to post questions in the DVBViewer-forum you must be a registered member. Click Register and enter your credentials including a valid e-mail address.

  • Provided you are a registered customer of the full version you are entitled to e-mail support. If everything fails you may address the DVBViewer's author himself, Christian Hackbart at hackbart@dvbviewer.com. You should use this possibility only for serious problems as a last resort. A programmer who has to answer tons of e-mails every day has no more time to develop or optimise the program further.

Contents | to the top | to the bottom | previous chapter | next chapter

Important Points for Diagnosis

  • Which DVBViewer-version do you use? Go to About/Info to find out. Is it the latest release? Have a look the the revision history.

  • What is the signal strength displayed in the status bar of the DVBViewer? Values below 40% may indicate a problem with the positioning of your dish or the LNB.

  • Do you use DiSEqC devices (e.g. a multiswitch) for receiving more than one satellite position (e.g. Astra/Eutelsat)? Are the DiSEqC settings in the channel list window adjusted correctly?

  • Are the distortions permanent or only temporary? They may be caused by strong rain or snow. A sleeping pigeon on the LNB? (this had been actually reported in the DVBViewer-forum)

  • Are all channels or only some of them affected by the problem? If it's the latter: Which channels are compromised? Do they have something in common (the same transponder for example)?

  • Do other TV-software work?

  • Tune a channel with the DVBViewer. Then start the TechniSat program Setup4PC. Click on the button status: What is displayed for the following values?

    • Signal quality in %: the more, the better

    • SNR (Signal to Noise Ratio, relation between signal and influences of noise) in db: the higher, the better (a good value is 12)

    • BER (bit error rate, only available with SkyStar2 revisions <2.6b): Should be 0. A small value (for instance E -6) should be OK, too. But it could indicate a bad signal quality (which is not the same as signal strength for digital reception)

    • Incorrect packets: Should be = 0. Otherwise, the reception is at least temporarily so bad that the automatic error correction (FEC) can't cope with it.

  • Check your wiring and connections. Coax-cables must not be bent or twisted. Check for a short-circuit or interruption in an antenna plug (a very frequent cause for problems)

  • Does another digital device connected to the same line also show problems?

  • Have or had you installed software for your DVB card other than that from TechniSat? There are known issues with EON. Did you buy a second hand card with unknown past?

  • Since when do the distortions occur? Have you installed new hard- or software? Did you make any changes to your system or the DVBViewer? Also have a look at the options described in chapter 7.

Contents | to the top | to the bottom | previous chapter | next chapter

Known Problems and Solutions

After installation of the Windows MediaPlayer 9 and/or DirectX 9 the DVBViewer does not function anymore.

The installation deleted important settings of the SkyStar2 card. A new installation of the SkyStar2 card is necessary. Please read the corresponding notes of TechniSat!

I have neither audio nor video..

Maybe there are no A/V decoders installed. You can use this tool to check it.

I have neither audio nor video with the DVBViewer source-filter.

This source-filter needs both PMT and PCR, therefore you must perform a channel-scan. Imported lists seldom feature the needed values. Older channel-lists are not compatible with DVBViewer Pro 3.x, you need to update them.

All channels of the Pro7/Sat1-group (Pro7, Sat1, Kabel1, N24) are distorted, there are packet errors.

A frequent problem. Usually it is caused by a DECT-phone. The base station (!) should be moved as far away as possible from the PC. If it is caused by your neighbour through the wall you will have to move your PC, though.

Only some channels can be received.

The voltage produced by the TV card for driving the LNB may be too low, so it is unable to switch from horizontal polarisation to vertical or back. LNBs of older design or multi-switches without own power supply sometimes have such a high current consumption that the voltage breaks down. You should upgrade to a modern LNB or a multi-switch with external power supply.

You may have also mixed up the cabling from the LNB to the multiswitch.

Another reason may be an old LNB, which is not suitable for digital reception. Thus only channels in the low band can be received; all channels in the high band (with a frequency higher than approximately 11700 MHz) cannot be tuned.

At last there may be a problem with 22 kHz signal used for switching between the low band and the high band. You should check the cabling.

After selecting a channel the error message "Cannot set Tunerstatus (wrong settings), error 9001015" appears.

This simply means, that the channel cannot be tuned. Generally the signal strength will be down to zero, due to one of the following reasons:

  • The values in the channel list are incorrect and have to be adjusted, particularly the frequency, polarisation, symbol rate, LNB selection, LNB frequency (LOF) or DiSEqC (see Editing Channels in chapter 6).
  • The channel moved to another transponder/frequency (which happens quite frequently with digitally broadcast channels), or the broadcasting was terminated. Try to scan the satellite position in order to find it again (see Channel Search in chapter 6).

After switching over to a channel you get neither a picture nor sound, although the signal strength is sufficient. Also the error message "Cannot locate B2C2 MPEG Filter Audio/Video Ctrl. Interface, error 91000101" may appear.

If only one channel is concerned (or few channels), you most probably have selected an encrypted channel. Please have in mind, that some channels are only part of the day not encrypted. If the channel is not encrypted, some of its values in the channel list may be incorrect (particularly the audio or video PID, see Editing Channels in chapter 6 )

If all channels are concerned, it may be caused by a crash or a malfunctioning of the drivers. Solution: Terminate all programs which use the SkyStar2 card (DVBViewer, Sky4PC) and disable and re-activate the card via the device manager (windows key + pause). You may also use the FreeLNB-Tool. If this does not work, try to unplug your PC from the power supply for a few seconds, in order to completely reset the SkyStar2 card.

This behaviour was also observed in conjunction with Norton AntiVirus®, which sometimes interrupts the network connections when the SkyStar 2 card is initialized.

In certain cases your SkyStar2 card may have been locked permanently. This is mostly caused by EON® (Europe Online) software. Other reasons for this lock, which possibly occurs in rare cases, have not been investigated yet. If you suspect that your card is locked, first visit the DVBViewer forum and read thoroughly everything concerning the EON lock. Acting without precaution can damage your card permanently. Using some of the "unlocking" patches found at various upload-centers often worsens the problem and you will void your warranty. Ask for help if you are not sure what to do.

The Teletext does not function

This is frequently due to missing teletext PIDs in the channel list, particularly after the import of TechniSat or SatcoDX channel lists, which do not contain this information. Solution: Input the correct values manually, perform a channel-search or have a look at chapter 6.

If this does not fix the problem, try to change the Dump EPG and Teletext stream via Directshowfilter setting at Settings/Options/Teletext & EPG and perform Rebuild Graph.

When playing MPEG files with the DVBViewer or another media player seeking is not possible.

This problem is caused by the Microsoft MPEG2 demultiplexer filter which is responsible for the separation of the audio and video data. It affects all media-players. Solution: Install the MPEG2 Decoderpack from Elecard - see this this paragraph in chapter 9.

The playback of PVA files recorded with the DVBViewer does not work.

Probably there is no PVA Splitter installed (a filter for separating the video and audio data). Solution: Install the Decoder Package from Elecard.

When installing a TechniSat PCI TV-card there are blue screens with an ASUS A8N SLI (Deluxe).

These boards have a weak power supply for PCI. Therefore powerful PCI-cards are not supported.

The DVBViewer does not output Dolby digital (AC3) over the SPDIF link of the sound card.

Solution: The following steps must be executed:

  • Download and install the Odio Dekoda from www.elecard.com/download or the AC3-Filter 1.01a or newer from Alexander Vigovsky.
  • Select SPDIF in AC3-filter.
  • You must use either the DVBViewer source-filter or Marfi's source-filter. Go to Settings/Options/Enhanced and select one of these filters.
  • In the channel list edit the channel, e. g. Pro7 (on Astra 19.2 there are only Pro7, Sat1 and ZDF broadcasting in AC3 (2/0 and 3/2)). Enter 257 for Pro7, 1795 for Sat1 and 125 for ZDF as audio PID and check the AC3 box.
  • Tune the channel and enjoy Dolby digital.

A screenshot of the running show with [PrtScr] just shows a black DVBViewer window.

DVBViewer produces the television or video picture independently of the normal display output in Overlay Mode. Therefore it is not transferred to the windows clipboard. A solution for making screenshots is the installation of the FFDShow filter (see here).

Alternatively you may use the VMR mode, which uses the normal display output.

The adjustments of brightness, contrast and saturation is not possible, or the TV picture does not respond to it.

You have selected "Unchanged" or "VMR" as Render Output. Go to Settings/Options/Enhanced/Render Output and change it to "Overlay Mixer". Or use the adjustments provided by your graphics card software.

After switching to another television program the audio is distorted (Mickey Mouse voices).

Have a look at chapter 7 regarding the fast channel switching.

I can't use VMR in combination with the Cyberlink MPEG2-decoder.

The Cyberlink decoder isn't yet compatible with VMR.

The DVBViewer does not shut down the system with Windows 98/ME.

Start RegEdit and search for: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\WindowsNT\CurrentVersion\Winlogon. Now double-click the entry „PowerdownAfterShutdown“ and set the value to 1.

There are horizontal lines in moving objects (it looks like fringes).

First of all: It's not a bug! This is called "interlace". PAL has 25 frames per second which consists of each 25 upper and 25 lower fields which are not "correctly" integrated (roughly spoken).

Read further for a more detailed description:

Basically each frame is split into two separate pictures, which both are missing half of the picture information. The split is done by the horizontal lines. With PAL resolution you have 576 horizontal lines. For easier understanding the numbering begins from the top of the frame being the line number 1. The frame is being split to half-frame A and half-frame B (also called fields) -- the half-frame A would contain all uneven lines 1, 3, 5, 7, ... and the half-frame B would contain the even horizontal lines 2, 4, 6, 8, 10, ...

With PAL the video has a frame frequency fps) of 25fps, there are 50 fields per second that are being updated. First come the uneven fields which leave the other ones blank. Then come the even fields that fill the missing lines 2, 4, 6, ... and leaves the existing "half A"'s lines showing as well.

Now you have a full frame. Then come the uneven fields of the second frame that overwrite the uneven fields of the first frame, but leave the first frame's even fields. Now you have a mixture of uneven lines of the second frame and even fields of the first frame.

This leads to the “fringing” effect. This is no bug. You can solve this issue by using a video decoder with integrated de-interlacing, for example Mediamatics (bundled with your TechniSat SkyStar 2), NVIDIA® (from NVDVD) or Cyberlink®. This only applies to live watching – the recording is still interlaced. That means, you have to use a de-interlace filter, in VirtualDub for example Donald Grafts "smart deinterlacer", when converting to DiVX®. Some broadcasts are progressive, there is no need for de-interlacing. De-interlacing is also not necessary when creating a DVD.

You should also have a look here: http://www.100fps.com. This is a very thorough guide about interlace and de-interlacing. Another site is http://www.doom9.org/ivtc-tut.htm (very technical).


Tools and Links

9.Tools and Links

contents | to the bottom | previous chapter | next chapter

Informative Internet Pages

DVBViewer-Forum: The starting place number one for information and questions concerning the DVBViewer

    http://www.dvbviewer.com/forum/

TechniSat®: The manufacturer of the SkyStar2-Karte. At service & support you will find notes to the card as well as download links for drivers, program lists etc.

    http://www.technisat.com/

Lucike.de (German): A comprehensive page about DVB and home of the ProjectX and MPEG2Schnitt forum.

    http://www.lucike.info/index.htm

Beisammen.de (German): This is a comprehensive forum for HDTV and HTPC.

    http://212.105.197.43/vbportal/forums/index.php?s=

InfoSat® (German): The technical magazine for satellite reception. The internet page offers all kinds of news concerning sat-TV.

    http://www.infosat.de/

Digitally television forum (German): An informative and helpful forum with reference to digital satellite reception. Here one finds a very active DXer department with current information to once again locked channels.

    http://forum.digitalfernsehen.de/forum/cgi bin/ultimatebb.cgi

DigiTV®: A German-language site with current news about satellite reception. You can also find the necessary PID for specific channels.

    http://www.digitv.de/

telesat info (German): This site of Norbert Schlemmer offers a weekly chronicle with up-to-date information about satellites and the corresponding transponders.

    http://www.telesat info.de/

SatMania: A site with topical information about the satellite reception. Often new channels are announced here first. Additionally you can find the PID and a number of other technical specification concerning different channels.

    http://www.satmania.com/

Dankescheen's New Skystar2-VCR Homepage (German): Here Dankescheen presents several comprehensive guides for digital video editing.

    http://www.skystar2vcr.de.vu

contents | to the top | to the bottom | previous chapter | next chapter

Tools for Conversion and Editing

Doom9.net: A site with a huge download archive of video tools. Here you can find almost everything of rank and name in the free and shareware area.

    http://www.doom9.org/

ProjectX (freeware): An excellent tool for demultiplexing, correcting, synchronizing and converting of DVB recordings. Suitable for MPEG2 transport-stream, program-stream and PVA elementary-stream.

    http://www.lucike.info/page_projectx.htm

MPEG2Schnitt (freeware, German): An advanced tool for cutting and merging MPEG2 recordings. It is recommended to use it in combination with ProjectX

    http://www.mdienert.de/mpeg2schnitt/index.htm

PVAStrumento (freeware): An easy-to-use tool for converting PVA or transport-stream recordings to MPEG2 program-stream. Also corrects and synchronizes while re- or demultiplexing.

    http://www.offeryn.de/dv.htm

PVACut (freeware): Program for cutting and connecting PVA files.

    http://www.tirtanium.de/extra.html

VirtualDub MPEG2 (freeware): An advanced tool for converting several formats to AVI, e. g. DivX or XViD. This version features native MPEG2 support. There are lots of excellent third party filters like Donald Graft's deinterlacer and resizer.

    http://fcchandler.home.comcast.net/stable/index.html

Vidomi (freeware): Converts MPG recordings of the DVBViewer to the space-saving DivX format. You can also cut the videos (only selected areas of the source file converted). Additionally you will need a DivX codec; it operates optimally with the DivX 3.11a-Codec, but there are issues with DivX 5.0x.

    http://www.vidomi.com/

CDEx (freeware): Converts .mp2-audio files to the MP3-format. It is pleasantly small and handy.

    http://www.cdex.n3.net

DBPowerAmp® (freeware, in extended version Shareware, 19 $). Converts MP2-audio-files to WAV or MP3. You can start the conversion comfortably via the context menu. You can also down-sample from 48 KHz to 44 KHz for creating an audio-CD.

    http://www.dbpoweramp.com/

DVD2SVCD (German) is a collection of programs which are combined under one GUI to convert of DVD to the S-VCD format (super video CD). You can also use it with PVA-recording of the DVBViewer. The program is somewhat difficult to use without proper experience, since you must download different programs first and many adjustments must be made. Special thanks go to Steffen Klausing who wrote a very good manual which describes the procedure thoroughly on a step-by-step basis with numerous illustrations

    DVD2SVCD-Anleitung

contents | to the top | to the bottom | previous chapter | next chapter

Filters and Other Tools

WinLIRC: (freeware): You will need this program if you want to operate the DVBViewer with an infrared-remote-controller.

    http://winlirc.sourceforge.net/de

FFDShow: (freeware): A real multi-tool to MacGuyver's liking. Generally it is a video-filter able to display many kinds of formats, for example DivX, Xvid and MPEG4 in all versions and even MPEG2 (the latter doesn't work correctly yet, but you can set it to RAW-format, which works quite well).

You can make many adjustments, for example setting the colour, contrast, brightness, gamma, sharpness, noise, de-interlacing, resizing and many more. A setback is the incompatibility with certain MPG 2-decoders as the one from Elecard. It also doesn't function with fast channel switching. It is recommended to use the current alpha version.

    http://cutka.szm.sk/index.html

Elecard® decoderpack: (free-/shareware): It contains a demultiplexer which is much better than that of Microsoft. This one solves many problems with asynchronous and jerky playback. The MPEG decoder is an alternative to the Mediamatics-decoder which is part of your TechniSat software.

Contrary to the demultiplexer the decoder is shareware, so one must live with the Elecard logo inserted in the right upper picture corner (only on the display, not in the video files), as long as the decoder is not paid ($ 20,- with player). After the installation you will find the Elecard setup-program under start - menu/programs; here you can register or unregister the different filters. You should keep the demultiplexer and the Odio Dekoda.

    http://www.elecard.com/download

NVIDIA® video-decoder (NVDVD®) (trial): This video decoder uses the hardware acceleration of graphics cards with NVIDIA chips and thereby achieves an outstanding image quality with a very low processor load. NVIDIA says it will function with most DirectX 8-capable graphics cards, in particular with ATi Radeon cards.

With cards with integrated hardware-MPEG2-decoder as the Geforce4 MX and Geforce FX-series you can achieve results formerly possible only with expensive DVB-cards with hardware-decoding. The decoder is part of the NVDVD player of NVIDIA, which can be downloaded as a trial version with run time limitation to fourteen days.

    http://www.nvidia.com/view.asp?PAGE=nvdvd_downloadtrial

SatcoDX: Here you will find current and well maintained channel lists in the SatcoDX format for numerous satellite positions. They can be imported with the full version of the DVBViewer. However they do not contain teletext PID. These must be input manually.

    http://www.setedit.de/satco_sdx_de.html


Small Filter Guide

10. Small Filter Guide

Even under perfect reception conditions the DVBViewer may not show the desired results. This is mostly due to the fact that important components for audio and video playback are missing. Also other programs can interfere with the DVBViewer because they altered some registry-settings or installed certain DirectShow-components with a higher merit (a description follows down below). You should study this chapter quite thoroughly in case of having problems. But you might consider the information provided useful, if you're just interested.

contents | to the bottom | previous chapter | next chapter

What Are DirectShow Filters?

With DirectShow (part of DirectX) Microsoft introduced a very flexible multimedia interface, which is used by almost every modern media player under windows. DirectShow components are often named as filters (although it doesn't apply in each case) and are registered in the system and are so accessible by other programs. In most cases their file-type is .ax, but sometimes also .dll.

Processing audio and video data streams a long chain of such filters can be involved - each one is responsible for a certain function. The DVBViewer and media-players in general only manage those filters or decoders. They are only indirectly concerned with the processing of the data streams.

A compilation of the necessary filters is sent to the DirectShow filter-manager. If you want to play a video-file for example the manager is told to trace the necessary filters for creating the filter graph. Sometimes the automatic building process leads to unwanted results; therefore certain DirectShow based programs can manually adjust the building process, for example determining the use of a certain filter. Usually the manager uses the “best” filter available. “Best” is not to be understood as quality. “Best” is determined by the merit value of a filter. The filter with the highest merit will always be used. The merit value is set by the filter's author. Therefore the results may not be optimal. Fortunately you can modify the merit value.

contents | to the top | to the bottom | previous chapter | next chapter

Which Filters Are Involved?

The first or “main” filter is the source-filter, which provides the data stream received via satellite (consisting of audio, video and if necessary also teletext and EPG).

The DVBViewer features a proprietary source-filter:

  • DVBViewer filter (DVBSource): This filter sports an integrated demultiplexer and is used for both live-tv and media playback, there are none of the weaknesses of the Microsoft demultiplexer. A demultiplexer separates the audio and video streams and is responsible for fast seeking in a file, in short it is a parser. .It can also be used for playback of separate .mp2 and .ac3 files.

The next filters in the chain are responsible for decompressing the audio and video data. These filters are the d ecoders. The decoding is the most difficult and time-consuming step in the whole process. The playback quality depends highly on the decoders.

With the installation of the TechniSat software a suitable video decoder, the Mediamatics/DVDExpress decoder (until driver release 4.2.10) or the Sonic decoder (since driver release 4.3.0) , is installed automatically. In case of problems with audio playback you should install the free Moonlight/Elecard Odio Dekoda.

Reminder: The selected filters have to be installed since the DVBViewer does not bring its own filters.

The end of the chain are the audio- and video-renderers, which send the data via drivers to the graphic- and sound-card. The video renderer can be chosen at Options/Enhanced/Render Output. You'll find a description in this paragraph in chapter 7. You can also set different audio-renderers, but those are only different interfaces to the sound-card (see Settings/Options/DirectShow/Dedynamic Filter).

contents | to the top | to the bottom | previous chapter | next chapter

AC3 / Dolby digital

For AC3 you need to use either Marfi's filter (SkyAVC.ax) or the DVBViewer filter (DVBSource.ax) as source-filter. In the channel list you must input the AC3 PID as audio PID and enable the AC3 checkbox. You will also need a suitable AC3 audio decoder. It is recommended to use the Moonlight Odio Dekoda or the AC3 filter of Vigovsky Alexander.

The following steps must be executed:

  • Download and install the Odio Dekoda from www.elecard.com/download or the AC3-Filter 0.70b or newer from Vigovsky Alexander.
  • Select SPDIF in AC3-filter.
  • You must use either the DVBViewer source-filter or Marfi's source-filter. Go to Settings/Options/Enhanced and select the appropriate source-filter.
  • In the channel list edit the channel, e. g. Pro7 (on Astra 19.2 there are only Pro7, Sat1 and ZDF broadcasting in AC3 (2/0 and 3/2)). Enter "257" for Pro7, “1795” for Sat1 and “125” for ZDF as audio PID and check the AC3 box.
  • Tune the Channel and enjoy Dolby Digital.

Experiments With GraphEdit©

Before you do any changes to the filter graph you should inform yourself about the filters actually being in use.

The first place to look is within the DVBViewer at View/Filters - all used filters are listed there. Unfortunately some of them are not labeled with a meaningful name. Left-clicking one of them opens its property page if available.

For a comprehensive overview of all registered filters in the system you should try GraphEdit from Microsoft. Since it is part of the DirectX SDK, which is a very large file, it is better to search for a download site providing a stand-alone version; you may try http://doom9.org/ (rar-compressed) or http://www.stokebloke.com/video/wmv2avi.php.

GraphEdit shows a filter graph as a diagram and provides an easy way to build an own graph. Here is an overview of the features offered by GraphEdit:

  • After selecting Graph/Insert filters a hierarchically arranged list with all available filters appears. In the “Directshow Filters” section you will find - among others - the available MPEG decoders listed with filename and path; this information is needed in order to un-register filters that cause problems (more about it later). Look for names such as ATI, Cyberlink, DVD Express, Elecard, MainConcept, InterVideo, Ligos, nVidia, Sonic, Ulead.
  • File/Render Media File lets GraphEdit respectively the filter manager automatically build the graph that is necessary for playing a file. As file you may select any media file. The individual filters are connected like the components of an audio system by their output and input pins. The automatic media file rendering shows, what is used as standard in the system. Clicking on the Play button lets GraphEdit respectively the filter chain play the file.

    • File/Connect to Remote Graph connects to the running graph of the DVBViewer and displays it.

    • By selecting File/Render URL you may let GraphEdit build a filter graph for TV reception via the SkyStar2 card and to function as a TV set! Proceed as follows:

      • Launch DVBViewer and tune the desired channel.
      • Open the channel-list, go to the Edit tabsheet and note the Video- and AudioPID displayed there.
      • Terminate DVBViewer, launch GraphEdit and select File/Render URL
      • Input the following address: b2c2src://VideoPid-AudioPID.mpg (VideoPID and AudioPID stand for the values you have noted). Now a corresponding graph will be build and can be used for playback.
    • Graph/Insert Filter lets you insert other filters into the graph. After disconnecting the filters with Edit / Disconnect all, you may re-connect the filters manually pin by pin and build in a different decoder, for example - just drag the mouse pointer from an output pin to the desired input pin. In this way you can find out, how different components affect the playback.

Unfortunately some filters are indicated in GraphEdit by meaningless numbers. In this case it helps to store the entire graph via File/Save as XML and to open the file, which contains additional information, with a text editor. For further details please refer to the GraphEdit help file.

    contents | to the top | to the bottom | previous chapter | next chapter

Interventions in the System

If the adjustments offered by the DVBViewer are not sufficient to achieve playback with a desired filter combination, only tweaking the system registry helps. Please note: Never ever simply just remove unwanted filters, since they are registered in the system. The according entries can be found in the Windows registry under HKEY_CLASSES_ROOT. Changes in the registry should only be applied, however, if you know exactly what you do. Otherwise you could permanently compromise your system. There are better and much simpler ways to disable unwanted filters.

If you do not want to remove a filter completely, but achieve that the filter manager does not prefer it, you have to lower its Merit value. This value is located in the registry, but usually encoded and hard to find. Therefore Radlight® provided a small tool, the Radlight® Filter Manager. You can download it in the members' area at www.dvbviewer.com/members.

The register/unregister buttons speak for themselves.

Copy CLSID copies the value into the Windows clipboard so that you can insert it into the corresponding box in the DVBViewer's directshow options.

Navigate jumps to or rather shows you the files belonging to the selected entry, for the Cyberlink Video/SP Decoder those are CLLine21.ax and CLVSD.ax for example.

The dropdown box lets you set predefined standard values for the merit.

The box below the Set Value button allows to enter individual values for the merit (just type in and press Set Value). Have a look at the About tab for further information.

Please note: For modifications to take effect, you first have to leave the user account and log in again (under Windows 2000/XP), or to restart the computer (?, Windows 98).


Plugins

11. Plugins

The DVBViewer features a sophisticated plugin interface. In this chapter some of the available plugins will be introduced. Such plugins enhance the functionality of the DVBViewer and add numerous new functions. The plugins can be downloaded at www.dvbviewer.com/members. Here you can also download the Plugin SDK. Please note that you should always use the latest version of the DVBViewer.

contents | to the bottom | previous chapter | next chapter

GraphSelector Plugin

You can create own graphs with GraphEdit to be used in combination with the different source-filters and DVD/Video playback via the GraphSelector Plugin (by Griga).

For example you can create a graph for the SkyStar 4.2, DVBViewer or Marfi 1.1 source-filter for recording with A/V-rendering disabled. Now you may even use different decoders in combination with the SkyStar 4.2 source-filter. Now there is also a graph for directly recording radio broadcasts in the mp3-format (currently using the LAME encoder, 192 kbit/sec., high quality, CBR), although the Audiorecorder Plugin is better suited for this task.

Proceed as follows (a more detailed description can be found in the Readme file):

Copy the GRFSelector.dll into your Plugins folder at \dvbviewer\plugins. Then extract the Graph folder into the plugins folder as a subfolder.

The different graphs can be selected in the Plugins menu. In the picture above the options for the SkyStar 4.2 source-filter are grayed out due to the use of the SkyAVC source-filter, so that you can't accidentally activate them. With this plugin you can now use different audio and video decoders for playback of multimedia files and DVDs. For more information please refer to the plugins readme file and chapter 10.

contents | to the top | to the bottom | previous chapter | next chapter

Audiorecorder Plugin 2.8

The Audio Recorder Plugin (by Griga) adds the following features to the DVBViewer:

  • Direct MP3, Ogg Vorbis or Wave recording of (audio) broadcasts
  • Audio recording as MP3, Ogg Vorbis or Wave while playing a media file with DVBViewer. Thus the plugin may be used for conversion, e. g if you play a recorded mp2 file, you can record it again as MP3 or WAV.
  • Real-time conversion to 44.1 kHz for creating audio-CD compatible recordings
  • Can be used in conjunction with timed recordings, programmable via the DVBViewer's recorder interface.
  • Recording a video with DVBViewer, and at the same time recording the sound as MP3/OGG/WAV to an extra file. Proceed as follows:

The package contains the following files:

  • AudioRec.dll: Just put it into the DVBViewer/Plugins folder.
  • Readme.rtf
  • VorbisFile.dll
  • VorbisEnc.dll
  • Vorbis.dll
  • Ogg.dll

The last 5 files must be copied into the DVBViewer main directory. Important: For MP3 recording you additionally need the file lame_enc.dll, which is not included in this package, but can be easily found in the web (try http://mitiok.free.fr/lame-3.92.zip and copy lame_enc.dll to the DVBViewer folder. The other files in the ZIP are not needed). The plugin has been testet with version 3.92 of the Lame MP3 Encoder. You may try other (later) versions, but the functioning of the plugin can not be guaranteed in this case.

How to use it

On the first page you should always select "stay connected to audio stream", otherwise you may encounter problems with the SkyStar 4.2 source-filter. Checking the second box, file-names will be automatically created. Now you must choose the audio format. Selecting a format, the corresponding tab-sheets will become visible. For MP3 for example there two additional pages for adjusting the format, for example setting the bit-rate and the sample-rate. You can also choose VBR (variable bit rate), CBR (constant bit rate) and ABR (average bit rate). For a detailed description have a look at the provided readme file.

contents | to the top | to the bottom | previous chapter | next chapter

TVgenial Plugin

With the TVgenial Plugin (by Michael Maroszek) you can comfortably program the recorder timer via the program guide TVgenial.

Installation:

At first you must download the TV Genial Plugin and the Plugin Channel File [R12]. Both files must be copied into the DVBViewer's main folder. You must also download the TVgenial-software at www.tvgenial.de. In TVgenial you must set the interface at Aufnahmeschnittstelle to unbekanntes Gerät (unknown device). In the first field you must type in the path of the plugin's .exe-file, in the second the .txt-file and the third field remains empty.

Multicast Plugin 1.3

This plugin adds multicast network streaming to the DVBViewer for streaming one or more stations to one or more clients in a network. The usage is quite simple:

  • Copy the multicast.dll into your plugins folder.
  • After tuning a channel in the DVBViewer you need to open the multicast plugin via the plugins menu and select the channel(s) to be broadcast.
  • Select the IP-address of your local network at the “network IP-address” field (usually 192.168.0.1).
  • Do not change the Multicast IP-Address and the Multicast-Port!
  • Now enable streaming with the corresponding check box and click OK, the video may be distorted for a few moments.
  • Now start a program on your network client being able to receive network streams, for example the VideoLAN client (VLC).
  • With the VLC you simply open a network stream (File->Open Networkstream)
  • Then enable the radio-button UDP/RTP Multicast and enter the address 224.0.0.1 and the port displayed in the plugin (7792 is always the channel tuned, the next selected one is 7793, then 7794). After clicking OK the playback starts.

These Screenshots show an example with Pro7 tuned on the server and N24 selected for streaming to the client.

For streaming the tuned channel (not listed) just mark the checkbox "enable streaming" and click OK. In VLC you must select port 7792, this is always the channel tuned on the server.

You can also use any application that supports opening URLs in combination with the Moonlight UDP Streaming Application. After installation you can open the stream in any application with the address moonlight://224.0.0.1:7792/udp (replace 7792 with the value of the desired channel).

contents | to the top | to the bottom | previous chapter | next chapter

Videorecorder Plugin (VRP) 3.0

The VRP (by Griga) offers additional recording features.

Recorder Tab

  • Output Format lets you select the desired format. The plugin exclusively uses the Transport Stream format, all other formats are converted on the fly.
  • Split Now will create a new file when reaching the selected size.
  • Playback On/Audio/Off either disabled audio/video rendering or only the video-rendering (without changing the graph). Full playback is re-activated with the On-button.
  • Timeshift starts/stops timeshift. Therefore the A/V rendering in the DVBViewer will be disabled and the TS Player will be opened for playback.
  • Stream Errors informs about errors already during the recording!
  • Video and Audio show the current format.

Settings Tab

  • Execute All Scheduled DVBViewer Recordings. All recordings are executed by the VRP and not the internal recorder.
  • Use Smartbuffer. Have a look here.
  • Set First Videoheader to Average Bitrate. The bit rate in the first video sequence header of MPEG files is patched in a way that most players will show the correct length in their trackbar.
  • Write AC3 Substream Header. In case of AC3 recordings, the plugin optionally writes a DVD-like substream-header, that should solve problems with playback and DVD authoring software (e.g. TMPGEnc)
  • Packet Size. The Packet Size section contains three radio buttons: Unchanged / Max. 2048 / Always 2048 (DVD). The first 'Unchanged' option lets the plugin create MPGs with an unchanged packet sizes (like the DVBViewer). The second one creates packets with a maximum size of 2048 bytes. By allowing sizes that are smaller, it avoids the 10% stuffing/padding overhead of the former 'Create DVD Packet Size' option, but should be sufficient to avoid playback problems e.g. with WinDVD. It is quite likely that this option will be included in the next DVBViewer release. The third option - like the former 'Create DVD Packet Size' option - creates always 2048 bytes packets, or more precisely, lets the plugin align the data packets to 2048 byte borders by filling the remaining space with stuffing bytes. This may be suitable for stand-alone DVD players, but increases the file size.
  • Write log file lists all occuring errors and format changes in a text file.

Channels Tab

  • Here you can select the PIDs for TS recordings.
  • Keep PIDs. The PID settings are stored for timer recordings.
  • Default PID selection: When enabled, the corresponding PIDs are always added, too.

Timer Tab

The features of the Sleeptimer Plugin have been integrated into the VRP.

For more information please refer to the detailed readme file or have a look here.

contents | to the top | previous chapter | next chapter

Preview Plugin 1.2

The new preview plugin is the successor of the formerly integrated preview function that was only available with Marfi's source-filter. It works with all source-filters now and it is far more comfortable to use.

After having started the plugin a new windows opens where you can select another channel via the context menu. This way you can also adjust the appearance. A double-click into the preview window enlarges it to full-screen mode and disables the audio in the DVBViewer's main window. Another double-click returns to window mode.

You can also preview audio for both windows simultaneously, you can swap the channels and so on. For more details please refer to the readme file.


Legal Notices and Imprint

12. Legal Notices & Imprint

contents | to the bottom | previous chapter

Trademarks

"DVBViewer" is a (registered) trademark of CM&V (Consulting • Marketing & Verkaufswerbung) Hackbart.

"XVR" is a (registered) trademark of Radlight.

"Astra" is a (registered) trademark of the ASTRA Marketing GmbH.
"ATi" and "Radeon" are (registered) trademarks of ATi Technologies Inc.
"dBpowerAMP" is a (registered) trademark of Illustrate Inc.
"DigiTV" is a (registered) trademark of the Auerbach Verlag und Infodienste GmbH
"DirectX" and "WMP" are (registered) trademarks of Microsoft Inc.
"DiSEqC" is a (registered) trademark of Eutelsat S. A.
"DivX" is a (registered) trademark of DivXNetworks Inc.
"Elecard" is a (registered) trademark of Elecard Inc.
"INFOSAT" is a (registered) trademark of the INFOSAT EURO-MEDIA S. A.
"MS Access" is a (registered) trademark of Microsoft Inc.
"NVIDIA" and "NVDVD" are (registered) trademarks of the NVIDIA Corporation.
"PVAStrumento" is a (registered) trademark of Offeryn.
"SkyStar" is a (registered) trademark of the TechniSat Digital GmbH.
"TechniSat" is a (registered) trademark of the TechniSat Digital GmbH.
"Windows" is a (registered) trademark of Microsoft Inc.
"Zoomplayer" is a (registered) trademark of Inmatrix Inc.

All other product names and services identified throughout this manual are trademarks or registered trademarks of their respective companies. They are used throughout this book in editorial fashion only and for the benefit of such companies. No such uses, or the use of any trade name, is intended to convey endorsement or other affiliation with the book.

Submissions

CM&V encourages the submission of comments and suggestions concerning its products. All suggestions will be given serious technical consideration. By submitting material to CM&V, you are granting CM&V the right, at its own discretion and without liability to you, to make any use of the material it deems appropriate.

That means, any communication or material that you transmit to the site by electronic mail or otherwise, including any data, questions, comments, suggestions or the like, is, and will be treated as, non-confidential and nonproprietary information. CM&V may use such communication or material for any purpose whatsoever, including, but not limited to, reproduction, disclosure, transmission, publication, broadcast and further posting. Further, CM&V is free to use any ideas, concepts, know-how or techniques contained in any communication or material you send to the site for any purpose whatsoever, including, but not limited to, developing, manufacturing and marketing products.

contents | to the top | previous chapter

Copyright

This manual, the website, the design, the text, photos, graphics, databases, animation files and each download are subject to copyright protection. The website and its contents shall not be copied, modified or published to other website or any other media. CM&V reserves all copyright and trademark claims due to unlawful use of the DVBViewer website as well as the registered DVBViewer trademark.

Disclaimer

Knowledge which is contained in these pages is subject to ongoing change due to progress in research and development. CM&V reserves the right to change or update any information on the website without notice. This also applies to improvements and/or changes in the DVBViewer.

The information and material contained in this manual are provided "as is", without warranty of any kind, express or implied, including without limitation any warranty concerning the accuracy, adequacy or completeness of such information or material or the results to be obtained from using such information or material. Neither CM&V nor the author(s) shall be responsible for any claims attributable to errors, omissions or other inaccuracies in the information or material contained in this book, and in no event shall CM&V or the author(s) be liable for direct, indirect, special, incidental or consequential damages arising out of the use of such information or material.

Imprint

Consulting • Marketing & Verkaufswerbung

Bernd Hackbart
Schubertstraße 23
99096 Erfurt,
Tel./Fax: +49 361 3456177
e-mail: bhackbart@cmuv.de

Ust-IdNr: DE165191996

Acknowledgements

The programming has been performed by Christian Hackbart. Special thanks are directed to Griga – especially for additional coding - and to Michael Maroszek for their plugins. Thanks are also directed to all the beta-testers and the people who contributed to the program in the forum and gave their support in other ways like translations. Finally, special thanks go to Griga and Oliver Scheffer for creating/translating this manual.